<?php
    include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
    if (!function_exists('register_field_group')) {
        include_once get_parent_theme_file_path().'/inc/modules/advanced-custom-fields/acf.php';
    }
    //WORDPRESS BACKWARDS COMPATIBILITY
    if (!function_exists('get_parent_theme_file_path')) {
        function get_parent_theme_file_path( $file = '' ) {
            $file = ltrim( $file, '/' );
         
            if ( empty( $file ) ) {
                $path = get_parent_theme_file_path();
            } else {
                $path = get_parent_theme_file_path() . '/' . $file;
            }
         
            /**
             * Filters the path to a file in the parent theme.
             *
             * @since 4.7.0
             *
             * @param string $path The file path.
             * @param string $file The requested file to search for.
             */
            return apply_filters( 'parent_theme_file_path', $path, $file );
        }
    }
    function verve_scripts() {
        $prk_verve_options=verve_options();
        $prk_select_font_options=verve_fonts();
        $prk_retina_device=verve_retiner();
        
        wp_enqueue_style('verve_main_style', get_template_directory_uri() . '/css/main.css', false, VERVE_VERSION);
        if (is_child_theme()) {
            wp_enqueue_style('verve_child_styles', get_stylesheet_directory_uri() . '/style.css', false, VERVE_VERSION);
        }
        if (is_single() && comments_open() && get_option('thread_comments')) {
            wp_enqueue_script('comment-reply');
        }
        wp_register_script('verve_main', get_template_directory_uri() . '/js/main-min.js', array('jquery'), VERVE_VERSION, true);
        wp_enqueue_script('verve_main');
        wp_register_script('verve_other', get_template_directory_uri() . '/js/other-min.js', array('jquery'), VERVE_VERSION, true);
        wp_enqueue_script('verve_other');
        
        wp_localize_script('verve_main', 'ajax_var', array(
            'url' => admin_url('admin-ajax.php'),
            'nonce' => wp_create_nonce('ajax-nonce'),
        ));

        //FONT MANAGEMENT
        $options = $prk_verve_options;
        foreach ( $prk_select_font_options as $option_header ) {
            if ($prk_verve_options['header_font'] == $option_header['value'])
            {
                $options['header_font']=$option_header;
                break;
            }
        }
        $prk_font_options = get_option('prk_font_plugin_option');
        if ($prk_font_options!="") {
            foreach ($prk_font_options as $font) {
                if ($font['erased']=="false") {
                    if ($options['header_font'] == $font['value'])
                    {
                        $options['header_font']=$font;
                    } 
                }
            }
        }
        foreach ( $prk_select_font_options as $option_body ) {
            if ($prk_verve_options['body_font'] == $option_body['value'])
            {
                $options['body_font']=$option_body;
                break;
            }
        }
        $prk_font_options = get_option('prk_font_plugin_option');
        if ($prk_font_options!="") {
            foreach ($prk_font_options as $font) {
                if ($font['erased']=="false") {
                    if ($options['body_font'] == $font['value'])
                    {
                        $options['body_font']=$font;
                    } 
                }
            }
        }
        foreach ( $prk_select_font_options as $option_custom ) 
        {
            if ($prk_verve_options['custom_font'] == $option_custom['value'])
            {
                $options['custom_font']=$option_custom;
                break;
            }
        }
        $prk_font_options = get_option('prk_font_plugin_option');
        if ($prk_font_options!="") {
            foreach ($prk_font_options as $font) {
                if ($font['erased']=="false") {
                    if ($options['custom_font'] == $font['value'])
                    {
                        $options['custom_font']=$font;
                    } 
                }
            }
        }

        //FONTS
        $protocol = is_ssl() ? 'https' : 'http';
        $font_families = array();
        //HEADER FONT
        if ($options['header_font']['hosted']=='google') {
            $font_families[]=str_replace('+',' ',$options['header_font']['value']);
        }
        if ($options['header_font']['hosted']=='theme') {
            wp_enqueue_style( 'prk_header_font', get_template_directory_uri() . '/inc/fonts/'.$options['header_font']['value'].'/stylesheet.css',false,VERVE_VERSION);
        }
        if ($options['header_font']['hosted']=='plugin') {
                wp_enqueue_style( 'prk_header_font', $options['header_font']['value'],false,VERVE_VERSION);
        }
        //BODY FONT
        if ($options['body_font']['hosted']=='google') {
            $font_families[]=str_replace('+',' ',$options['body_font']['value']);
        }
        if ($options['body_font']['hosted']=='theme') {
            wp_enqueue_style( 'prk_body_font', get_template_directory_uri() . '/inc/fonts/'.$options['body_font']['value'].'/stylesheet.css',false,VERVE_VERSION);
        }
        if ($options['body_font']['hosted']=='plugin') {
                wp_enqueue_style( 'prk_body_font', $options['body_font']['value'],false,VERVE_VERSION);
        }
        //EXTRA FONT
        if ($options['custom_font']!="") {
            if ($options['custom_font']['hosted']=='google') {
                $font_families[]=str_replace('+',' ',$options['custom_font']['value']);
            }
            if ($options['custom_font']['hosted']=='theme') {
                wp_enqueue_style( 'prk_custom_font', get_template_directory_uri() . '/inc/fonts/'.$options['custom_font']['value'].'/stylesheet.css',false,VERVE_VERSION);
            }
            if ($options['custom_font']['hosted']=='plugin') {
                    wp_enqueue_style( 'prk_custom_font', $options['custom_font']['value'],false,VERVE_VERSION);
            }
        }
        if (!empty($font_families)) {
            $query_args = array(
               'family' => urlencode(implode('|', $font_families )),
               'subset' => urlencode('latin,latin-ext'),
            );
            $fonts_url = add_query_arg($query_args,'https://fonts.googleapis.com/css');
            $fonts_url=esc_url_raw($fonts_url);
            wp_enqueue_style('vrv_google_fonts', $fonts_url, array(), null );
        }

        if (PRK_VERVE_FRAMEWORK) {
            $sharrre_dir_prk=plugins_url("verve_framework");
        }
        else {
            $sharrre_dir_prk="";
        }
        $prk_verve_options['active_visual_composer']=PRK_VERVE_COMPOSER;

        //UNCOMMENT THIS FOR RETINA TESTING
        //$prk_retina_device=true;
        
        wp_localize_script('verve_main', 'theme_options', $prk_verve_options);

        //CONVERT COLORS FOR CSS
        $spl_bk_menu_overlay=html2rgba($options['bk_color_menu_overlay'],$options['opacity_menu_overlay']);
        $spl_background_color_btns=html2rgba($options['background_color_btns'],$options['custom_opacity_folio']);
        $spl_active_inputs=html2rgba($options['active_color'],65);
        $spl_active_inputs_bk=html2rgba($options['active_color'],5);
        $spl_bd_smallers_color=html2rgba($options['bd_smallers_color'],15);
        $spl_spinner_color=html2rgba($options['bd_headings_color'],30);
        $spl_spinner_color_over=html2rgba($options['headings_color_overlayer'],30);
        $spl_body_color_footer=html2rgba($options['body_color_footer'],20);
        $spl_body_color_sidebar=html2rgba($options['body_color_sidebar'],20);
        $spl_body_color_right_bar=html2rgba($options['body_color_right_bar'],20);
        $spl_bk_mobile_overlay=html2rgba($options['bk_color_menu_overlay'],$options['opacity_mobile_overlay']);
        $spl_search_overlay=html2rgba($options['bk_color_menu_overlay'],95);
        $spl_background_color_btns_blog=html2rgba($options['background_color_btns_blog'],$options['custom_opacity']);
        $spl_inputs_bordercolor=html2rgba($options['inputs_bordercolor'],40);

        //ADD STYLES ACCORDING TO THE THEME OPTIONS
        $css="";

        //BACKGROUND IMAGES
        if ($options['background_image_menu_bar']['url']!="") {
            $bar_image=(wp_get_attachment_image_src($options['background_image_menu_bar']['id'],'full'));
            $css .="#prk_hidden_menu {background-image: url(".$bar_image['0'].");}";
        }

        if (isset($options['pattern'])) {
            $path_parts = pathinfo($options['pattern']);
            if (isset($path_parts['filename']) && $path_parts['filename']!="" && $path_parts['filename']!="prk_no_pattern") {
                if ($prk_retina_device) {
                    $vt_image = vt_resize( '', get_template_directory_uri() . "/images/patterns/".$path_parts['filename']."_@2X.".$path_parts['extension'] , 2000, 2000, false );
                    //CHECK IF RETINA PATTERN EXISTS
                    if (isset($vt_image['not_found']) && $vt_image['not_found']!="true") {
                        $half_width=$vt_image['width']/2;
                        $css .=
                        "body.verve_theme, .verve_theme #verve_ajax_container {background-image: url(".get_template_directory_uri()."/images/patterns/".$path_parts['filename']."_@2X.".$path_parts['extension'].");background-attachment:fixed;background-size:".$half_width."px auto;
                        }";
                    }
                    else {
                        $css .="body.verve_theme,.verve_theme #verve_ajax_container {background-image: url(".$options['pattern'].");background-attachment:fixed;}";
                    }
                }
                else {
                    $css .="body.verve_theme,.verve_theme #verve_ajax_container {background-image: url(".$options['pattern'].");background-attachment:fixed;}";
                }
            }
        }
        //FONTS
        $css.="body{font-size:".$options['font_size']."px;}";
        $css.="body,.regular_font,input,textarea {font-family:".$options['body_font']['css'].";}";
        $css.="#calendar_wrap caption,.header_font,.sod_select,.vc_tta-tabs-list {font-family:".$options['header_font']['css'].";}";
        if ($options['uppercase_blog_headings']=="1"){
            $css.=".verve_blog_uppercased {text-transform:uppercase;}";
        }
        if ($options['uppercase_folio_headings']=="1"){
            $css.=".verve_folio_uppercased {text-transform:uppercase;}";
        }
        if ($options['custom_font']!="") {
            $css.=".custom_font,.custom_font .header_font,.custom_font.header_font,.extra_font,.custom_font .extra_font,.custom_font.extra_font {font-style:".$options['custom_font_style'].";font-family:".$options['custom_font']['css']."}";
            if ($options['buttons_font']=="custom_f") {
                $css.=".colored_theme_button,.theme_button,.colored_theme_button input,.theme_button input,.ghost_theme_button,.vc_btn,.prk_button_like {font-style:".$options['custom_font_style'].";font-family:".$options['custom_font']['css']."}";
            }
        }
        if ($options['buttons_font']=="headings_f") {
            $css.=".colored_theme_button,.theme_button,.colored_theme_button input,.theme_button input,.ghost_theme_button,.ghost_theme_button input,.vc_btn,.prk_button_like {
                font-family:".$options['header_font']['css'].";}";
        }
        $css.=".vrv_drop_cap:first-letter {font-size:".$options['drop_caps_size']."px;color:".$options['bd_headings_color'].";}";

        //WIDTH SET MANAGEMENT
        $adjusted_width=$prk_verve_options['custom_width']+36*2;//PADDING 36PX
        $css.="#vrv_comments,.prk_inner_block {max-width: ".$adjusted_width."px;}";
        $css.=".blog_limited_width .vrv_outer_row {max-width: ".$options['custom_width_blog']."px;margin:0px auto;}";

        //LOGO BAR MANAGEMENT
        $css.="#verve_header_section,#vrv_lower {width:".$options['logo_bar_width']."px;background-color: ".$options['background_color_logo_bar'].";padding:".$options['logo_top_margin']."px ".$options['logo_sides_margin']."px;}";
        $css.="#verve_header_section #vrv_lower #prk_sidebar_trigger i {font-size:".$options['sidebar_icon_size']."px;}";

        $bars_diff=$options['menu_vertical']-$prk_verve_options['logo_bar_width'];
        //TRANSPARENT MENU?
        if (isset($options['logo_bar_opacity']) && $options['logo_bar_opacity']!="" && $options['logo_bar_opacity']!=100 && ($options['logo_align']=="st_logo_on_left" || $options['logo_align']=="st_logo_on_right")) {
            $trsp_mode=true;
        }
        else {
            $trsp_mode=false;
        }
        if ($trsp_mode) {
            $spl_color=html2rgba($options['background_color_logo_bar'],$options['logo_bar_opacity']);
            $css.="#verve_header_section {background-color: ".$spl_color.";}";
            $bars_diff=$options['menu_vertical']+$prk_verve_options['logo_bar_width'];
        }

        //MENU MANAGEMENT
        if ($prk_verve_options['menu_with_page']=="1") {
            $css.="#prk_hidden_menu {padding-left:".$prk_verve_options['logo_bar_width']."px;}";
            if ($prk_verve_options['logo_align']=="st_logo_on_left") {
                $css.="#verve_ajax_container,#prk_footer_outer,#vrv_sticky_menu,#prk_header_page,#prk_footer_wrapper.with_mirror {padding-left:".$options['logo_bar_width']."px;}";
            }
            else if ($prk_verve_options['logo_align']=="st_logo_on_right") {
                $css.="#verve_ajax_container,#prk_footer_outer,#vrv_sticky_menu,#prk_header_page,#prk_footer_wrapper.with_mirror {padding-right:".$options['logo_bar_width']."px;}";
            }
            else if ($prk_verve_options['logo_align']=="st_menu_on_left") {
                $css.="#verve_ajax_container,#prk_footer_outer,#vrv_sticky_menu,#prk_header_page,#prk_footer_wrapper.with_mirror {padding-left:".$options['menu_vertical']."px;}";
            }
            else if ($prk_verve_options['logo_align']=="st_menu_on_right") {
                $css.="#verve_ajax_container,#prk_footer_outer,#vrv_sticky_menu, #prk_header_page,#prk_footer_wrapper.with_mirror {padding-right:".$options['menu_vertical']."px;}";
            }
        }
        else {
            if ($prk_verve_options['logo_align']=="st_logo_on_left") {
                $css.="#prk_hidden_menu {width:".$options['menu_vertical']."px;margin-left:-".$bars_diff."px;}";
                $css.="#verve_ajax_container,#prk_footer_outer,#vrv_sticky_menu,#prk_header_page,#prk_footer_wrapper.with_mirror {padding-left:".$options['logo_bar_width']."px;}";
                $css.=".verve_showing_menu #prk_hidden_menu {margin-left:".$prk_verve_options['logo_bar_width']."px;}";
                if ($trsp_mode) {
                    $css.=".verve_showing_menu #verve_header_section {margin-left:".$prk_verve_options['menu_vertical']."px;}";
                    $css.="#prk_hidden_menu {margin-left:-".$prk_verve_options['menu_vertical']."px;}";
                }
                $css.=".verve_showing_menu #verve_ajax_container,.verve_showing_menu #prk_footer_outer,.verve_showing_menu #vrv_sticky_menu,.verve_showing_menu #prk_header_page,.verve_showing_menu #prk_footer_wrapper.with_mirror {margin-left:".$prk_verve_options['menu_vertical']."px;}";
                $load_fix=-34+$prk_verve_options['logo_bar_width']/2;
                $css.=".verve_ready #prk_main_loader {margin-left:".$load_fix."px;}";
                $sub_low=$options['menu_padding']*0.5;
                $css.="#prk_hidden_menu_inner .prk_popper_menu>li .sub-menu {padding-bottom:".$sub_low."px;}";
                $css.="#prk_hidden_menu_inner .prk_popper_menu>li .sub-menu>li:last-child>.sub-menu {padding-bottom:0px;}";
                $css.=".sub-menu .verve_menu_label {height:".$options['menu_sub_padding']."px;}";
            }
            else if ($prk_verve_options['logo_align']=="st_logo_on_right") {
                $css.="#prk_hidden_menu {width:".$options['menu_vertical']."px;margin-right:-".$bars_diff."px;}";
                $css.="#verve_ajax_container,#prk_footer_outer,#vrv_sticky_menu,#prk_header_page,#prk_footer_wrapper.with_mirror {padding-right:".$options['logo_bar_width']."px;}";
                $css.=".verve_showing_menu #prk_hidden_menu {margin-right:".$prk_verve_options['logo_bar_width']."px;}";
                if ($trsp_mode) {
                    $css.=".verve_showing_menu #verve_header_section {margin-right:".$prk_verve_options['menu_vertical']."px;}";
                    $css.="#prk_hidden_menu {margin-right:-".$prk_verve_options['menu_vertical']."px;}";
                }
                $css.=".verve_showing_menu #verve_ajax_container,.verve_showing_menu #prk_footer_outer,.verve_showing_menu #vrv_sticky_menu,.verve_showing_menu #prk_header_page,.verve_showing_menu #prk_footer_wrapper.with_mirror {margin-left:-".$prk_verve_options['menu_vertical']."px;}";
                $load_fix=-34-$prk_verve_options['logo_bar_width']/2;
                $css.=".verve_ready #prk_main_loader {margin-left:".$load_fix."px;}";
                $sub_low=$options['menu_padding']*0.5;
                $css.="#prk_hidden_menu_inner .prk_popper_menu>li .sub-menu {padding-bottom:".$sub_low."px;}";
                $css.="#prk_hidden_menu_inner .prk_popper_menu>li .sub-menu>li:last-child>.sub-menu {padding-bottom:0px;}";
                $css.=".sub-menu .verve_menu_label {height:".$options['menu_sub_padding']."px;}";
            }
            else if ($prk_verve_options['logo_align']=="st_menu_on_left") {
                $css.="#prk_hidden_menu {width:".$options['menu_vertical']."px;}";
                $css.="#verve_ajax_container,#prk_footer_outer,#vrv_sticky_menu,#prk_header_page,#prk_footer_wrapper.with_mirror {padding-left:".$options['menu_vertical']."px;}";
                $load_fix=-34+$prk_verve_options['menu_vertical']/2;
                $css.=".verve_ready #prk_main_loader {margin-left:".$load_fix."px;}";
                $sub_low=$options['menu_sub_padding']*0.5;
                $css.="#prk_hidden_menu_inner .prk_popper_menu>li .sub-menu {padding-bottom:".$sub_low."px;}";
                $css.=".sub-menu .verve_menu_label {height:".$options['menu_sub_padding']."px;}";
                if ($prk_verve_options['mn_buttons_border']!="") {
                    $css.="#prk_hidden_menu_inner .prk_popper_menu>li {border-color: ".$prk_verve_options['mn_buttons_border'].";}";
                    $css.="#prk_hidden_menu_inner .prk_popper_menu>li:first-child {border-top: 1px solid ".$prk_verve_options['mn_buttons_border'].";}";
                }
            }
            else if ($prk_verve_options['logo_align']=="st_menu_on_right") {
                $css.="#prk_hidden_menu {width:".$options['menu_vertical']."px;}";
                $css.="#verve_ajax_container,#prk_footer_outer,#vrv_sticky_menu, #prk_header_page,#prk_footer_wrapper.with_mirror {padding-right:".$options['menu_vertical']."px;}";
                $load_fix=-34-$prk_verve_options['menu_vertical']/2;
                $css.=".verve_ready #prk_main_loader {margin-left:".$load_fix."px;}";
                $sub_low=$options['menu_sub_padding']*0.5;
                $css.="#prk_hidden_menu_inner .prk_popper_menu>li .sub-menu {padding-bottom:".$sub_low."px;}";
                $css.=".sub-menu .verve_menu_label {height:".$options['menu_sub_padding']."px;}";
                if ($prk_verve_options['mn_buttons_border']!="") {
                    $css.="#prk_hidden_menu_inner .prk_popper_menu>li {border-color: ".$prk_verve_options['mn_buttons_border'].";}";
                    $css.="#prk_hidden_menu_inner .prk_popper_menu>li:first-child {border-top: 1px solid ".$prk_verve_options['mn_buttons_border'].";}";
                }
            }
        }
        $css.=".prk_menu_sized,.verve-menu-ul {font-style:".$options['menu_parent_style'].";}";
        $css.=".prk_menu_sized>li>a,.prk_popper_menu>li>a {font-weight:".$options['menu_font_weight'].";font-size:".$options['menu_font_size']."px;}";
        $css.="#prk_hidden_menu_inner .prk_popper_menu>li>a {color:".$options['menu_up_color'].";}";
        $css.=".prk_popper_menu>.vrv_iconized i {font-size:".$options['menu_icons_size']."px;}";
        $css.=".prk_popper_menu>li .sub-menu .vrv_iconized i {font-size:".$options['submenu_icons_size']."px;}";

        //COLOR OR MARGIN ANIM ON HOVER?
        //COLOR
        if($options['menu_hover_anim']=="color") {
            $css.="#prk_hidden_menu_inner .prk_popper_menu>li:hover>a,#prk_hidden_menu_inner .prk_popper_menu>li.active>a,#prk_hidden_menu_inner .prk_popper_menu>li.active_parent>a,#prk_header_page .widget_nav_menu li a:hover {color:".$options['menu_active_color'].";}";
        }
        else {
            $css.="#prk_hidden_menu_inner .prk_popper_menu>li>a .verve_menu_hover,#prk_hidden_menu_inner .prk_popper_menu>li.active>a,#prk_header_page .widget_nav_menu li a:hover {color:".$options['menu_active_color'].";}";
            $css.=".prk_menu_sized>li>a:hover .verve_menu_main {margin-top:-".$options['menu_padding']."px;}";
            $css.=".prk_menu_sized .sub-menu li>a:hover .verve_menu_main {margin-top:-".$options['menu_sub_padding']."px;}";
        }

        $css.="#prk_hidden_menu_inner .prk_popper_menu .sub-menu li a {font-weight:".$options['submenu_font_weight'].";font-size:".$options['submenu_font_size']."px;height:".$options['menu_sub_padding']."px;line-height:".$options['menu_sub_padding']."px;color:".$options['submenu_text_color'].";}";
        $css.="#prk_hidden_menu .prk_popper_menu>li .sub-menu .vrv_iconized i {height:".$options['menu_sub_padding']."px;line-height:".$options['menu_sub_padding']."px;}";
        $css.="#prk_hidden_menu .verve_hover_sub.menu-item-has-children>a:before {background-color: ".$options['submenu_active_color'].";}";
        $css.="#prk_hidden_menu_inner .prk_popper_menu .sub-menu li.active>a,#prk_hidden_menu_inner .prk_popper_menu .sub-menu li>a:hover {color:".$options['submenu_active_color'].";}";

        $css.="#prk_hidden_menu {background-color: ".$options['background_color_menu_bar'].";}";
        if($options['border_menu_bar']!="") {
            $css.="#prk_hidden_menu {border-right: 1px solid ".$options['border_menu_bar'].";}";
        }
        $css.="#verve_header_section,#verve_header_section .vrv_bicon a {color: ".$options['logo_up_color'].";}";
        $css.="#verve_header_section .vrv_bicon:hover,#verve_header_section .vrv_bicon a:hover {color: ".$options['logo_active_color'].";}";
        $css.=".prk_menu_block {background-color: ".$options['logo_up_color'].";}";
        $css.=".prk_menu_block:after,#prk_hidden_menu_inner .prk_popper_menu>li>a:before {background-color: ".$options['logo_active_color'].";}";
        $css.=".hover_blocks #prk_blocks_wrapper:before,.verve_showing_menu #prk_blocks_wrapper:before {color: ".$options['logo_active_color'].";}";
        if($options['menu_text']!="") {
            $css.="#prk_blocks_wrapper:before {content: '".$options['menu_text']."';}";
        }

        //MENU PADDING
        $css.=".prk_menu_sized>li>a,#prk_hidden_menu .prk_popper_menu>.vrv_iconized i {height:".$options['menu_padding']."px;line-height:".$options['menu_padding']."px;}";
        $css.=".verve_menu_label {height:".$options['menu_padding']."px;}";

        //OPENED MENU
        $css.="#prk_hidden_menu a,#prk_hidden_menu {color:".$options['color_menu_overlay'].";}";
        $css.="#body_hider {background-color:$spl_bk_menu_overlay;}";

        //FOOTER
        if ($options['bk_image_footer']['url']!="") {
            $bar_image=(wp_get_attachment_image_src($options['bk_image_footer']['id'],'full'));
            $css .="#prk_footer_wrapper {background-image: url('".$bar_image['0']."');background-position: center ".$options['footer_image_align'].";}";
        }
        $css.="#prk_footer_wrapper {background-color:".$options['background_color_footer'].";font-size:".$options['footer_font_size']."px;}";
        $css.="#prk_footer_sidebar .simple_line {border-bottom-color: $spl_body_color_footer;}";
        $css.="#prk_footer_sidebar table {border-top-color: $spl_body_color_footer;}";
        $css.="#prk_footer_sidebar table {border-left-color: $spl_body_color_footer;}";
        $css.="#prk_footer_sidebar .pirenko_highlighted,#verve_main_wrapper #prk_footer_sidebar .tagcloud a, #verve_main_wrapper #prk_footer_sidebar #wp-calendar th, #verve_main_wrapper #prk_footer_sidebar #wp-calendar td {border-color: $spl_body_color_footer;}";
        $css.="#prk_footer_sidebar ::-webkit-input-placeholder {color: ".$options['body_color_footer'].";}#prk_footer_sidebar :-moz-placeholder {color: ".$options['body_color_footer'].";}#prk_footer_sidebar ::-moz-placeholder {color: ".$options['body_color_footer'].";}#prk_footer_sidebar :-ms-input-placeholder {color: ".$options['body_color_footer'].";}";
        $css.="#prk_footer_sidebar .zero_color,#prk_footer_sidebar a.zero_color,#prk_footer_sidebar .zero_color a,#verve_main_wrapper #prk_footer .prk_twt_body .twt_in a.body_colored,#prk_footer_sidebar a.twitter_time {color:".$options['titles_color_footer'].";}";
        $css.="#prk_footer_sidebar,#prk_footer_sidebar a,#prk_after_widgets,#prk_footer_sidebar #prk_after_widgets a,#prk_footer_sidebar .pirenko_highlighted,#prk_footer_wrapper .small_headings_color,#verve_main_wrapper #prk_footer_sidebar .tagcloud a,#verve_main_wrapper #prk_footer_sidebar a.body_colored {color:".$options['body_color_footer'].";}";
        $css.="#prk_after_widgets {background-color:".$options['footer_text_background_color'].";}";
        if ($options['footer_border_color']!="") {
            $css.="#prk_footer_wrapper {border-top: 1px solid ".$options['footer_border_color']."}";
        }

        //MENU SEARCH
        $css.="#prk_hidden_menu a:hover,#top_form_close:hover {color:".$options['active_color'].";}";

        //PERSISTENT MENU BAR
        $css.="#vrv_sticky_menu {background-color: ".$options['background_color_prst'].";color:".$options['body_color_prst'].";}";
        $css.="#vrv_sticky_menu a {color:".$options['body_color_prst'].";}";
        if ($options['border_color_prst']!="") {
            $css.="#vrv_sticky_menu {border-bottom: 1px solid ".$options['border_color_prst']."}";
        }
        if ($options['show_hidden_sidebar']=="1") {
            $css.="#prk_hidden_bar {width:".$options['sidebar_width']."px;background-color:".$options['background_color_sidebar'].";font-size:".$options['hidden_font_size']."px;}";
            $sidebars_diff=$options['sidebar_width']-$prk_verve_options['logo_bar_width'];
            if ($trsp_mode) {
                $sidebars_diff=$options['sidebar_width'];
            }
            $css.="#prk_hidden_bar,#prk_hidden_bar .body_colored {color:".$options['body_color_sidebar'].";}";
            $css.="#prk_hidden_bar a,#prk_hidden_bar a:hover,#prk_hidden_bar .zero_color,#prk_hidden_bar .not_zero_color {color:".$options['active_color_sidebar'].";}";
            $css.="#prk_hidden_bar .simple_line {border-bottom: 1px solid ".$options['lines_color_sidebar'].";}";
            $css.="#prk_hidden_bar .widget-title:after {background-color: ".$options['lines_color_sidebar'].";}";
            $css.="#prk_hidden_bar .mCSB_scrollTools .mCSB_draggerRail {background-color: ".$options['lines_color_sidebar']."}";
            $css.="#prk_hidden_bar .mCSB_scrollTools .mCSB_dragger .mCSB_dragger_bar {background-color:".$options['active_color_sidebar'].";}";
            $css.="#prk_hidden_bar .pirenko_highlighted {color:".$options['body_color_sidebar'].";border-color:".$spl_body_color_sidebar.";}";
            if ($prk_verve_options['logo_align']=="st_logo_on_left") {
                $css.=".st_logo_on_left #prk_hidden_bar {margin-left:-".$sidebars_diff."px;}";
                $css.=".verve_showing_sidebar #prk_hidden_bar {margin-left:".$prk_verve_options['logo_bar_width']."px;}";
                $css.=".verve_showing_sidebar #verve_ajax_container,.verve_showing_sidebar #prk_footer_outer,.verve_showing_sidebar #vrv_sticky_menu,.verve_showing_sidebar #prk_header_page,.verve_showing_sidebar #prk_footer_wrapper.with_mirror {margin-left:".$prk_verve_options['sidebar_width']."px;}";
                if ($trsp_mode) {
                    $css.=".verve_showing_sidebar #verve_header_section {margin-left:".$prk_verve_options['sidebar_width']."px;}";
                }
            }
            else {
                $css.=".st_logo_on_right #prk_hidden_bar {margin-right:-".$sidebars_diff."px;}";
                $css.=".verve_showing_sidebar #prk_hidden_bar {margin-right:".$prk_verve_options['logo_bar_width']."px;}";
                $css.=".verve_showing_sidebar #verve_ajax_container,.verve_showing_sidebar #prk_footer_outer,.verve_showing_sidebar #vrv_sticky_menu,.verve_showing_sidebar #prk_header_page,.verve_showing_sidebar #prk_footer_wrapper.with_mirror {margin-left:-".$prk_verve_options['sidebar_width']."px;}";
                if ($trsp_mode) {
                    $css.=".verve_showing_sidebar #verve_header_section {margin-right:".$prk_verve_options['sidebar_width']."px;}";
                }
            }
        }

        //BLOG
        $css.=".blog_info_wrapper, .blog_info_wrapper .zero_color, .blog_info_wrapper .zero_color a, .blog_info_wrapper a.zero_color, .vrv_featured_header #single_blog_info,.vrv_featured_header #single_blog_info .zero_color, .vrv_featured_header #single_blog_info .small_headings_color,.vrv_featured_header #single_blog_info .small_headings_color a,.vrv_featured_header .verve_read a {color:".$options['featured_header_color'].";}";
        $css.=".topped_content.vertical_forced_row>.columns>div {padding-top:".$options['menu_vertical']."px;}";
        if ($options['posts_bk_color']!="") {
            $css.=".page-prk-blog-masonry .blog_entry_li .masonry_inner, .page-prk-blog-full .blog_entry_li {background-color:".$options['posts_bk_color'].";}";
        }

        //PORTFOLIO
        $css.=".body_bk_color,.vrv_thumb_tag,.body_bk_color a,.body_bk_color a:hover {color:".$options['thumbs_text_color'].";}";
        $css .=".grid_colored_block {background-color: $spl_background_color_btns;}";
        $css.=".verve_liner {border-bottom-color:".$options['active_color'].";}";
        $css.=".prk_grid-button .prk_grid {background: ".$options['bd_smallers_color'].";color: ".$options['bd_smallers_color'].";}";
        $css.=".prk_grid-button.prk_rearrange:hover .prk_grid {background: ".$options['active_color'].";color: ".$options['active_color'].";}";
        $css.=".vrv_thumb_tag {background-color:".$options['active_color'].";}";

        //THEME BUTTONS
        if ($options['uppercase_buttons']=="1") {
            $css .=".colored_theme_button input,.colored_theme_button a,.theme_button input,.theme_button a,.ghost_theme_button a, .ghost_theme_button input {text-transform:uppercase;}";
        }
        $css.="#verve_main_wrapper .colored_theme_button input,#verve_main_wrapper .colored_theme_button a,#verve_main_wrapper .theme_button input,#verve_main_wrapper .theme_button a,#verve_main_wrapper .ghost_theme_button a,#verve_main_wrapper .ghost_theme_button input {-webkit-border-radius: ".$options['buttons_radius']."px;border-radius: ".$options['buttons_radius']."px;color:".$options['buttons_text_color']."}";
        $css.=".theme_button input,.theme_button a,.theme_button.vrv_button_off a:hover {background-color:".$options['theme_buttons_color'].";border-color:".$options['theme_buttons_color'].";}";
        $css.=".theme_button input:after,.theme_button a:after,#single_blog_info .theme_button a:after {background-color:".$options['active_color'].";}";
        $css.=".colored_theme_button input,.colored_theme_button a,.prk_minimal_button>span.current {background-color:".$options['active_color'].";border-color:".$options['active_color'].";}";
        $css.=".colored_theme_button a:after {background-color:".$options['theme_buttons_color'].";}";
        $css.=".colored_theme_button input:hover {background-color:".$options['theme_buttons_color'].";}";
        $css.="#verve_main_wrapper .tagcloud a {border-color:".$options['inputs_bordercolor'].";}";
        $css.="#verve_main_wrapper .ghost_theme_button a,#verve_main_wrapper .ghost_theme_button input {-webkit-box-shadow:inset 0px 0px 0px ".$options['buttons_border']."px ".$options['theme_buttons_color'].";-moz-box-shadow:inset 0px 0px 0px ".$options['buttons_border']."px ".$options['theme_buttons_color'].";box-shadow:inset 0px 0px 0px ".$options['buttons_border']."px ".$options['theme_buttons_color'].";color:".$options['theme_buttons_color'].";}";
        $css.="#verve_main_wrapper .ghost_theme_button a:after,#verve_main_wrapper .ghost_theme_button input:after {color:".$options['site_background_color'].";background-color:".$options['theme_buttons_color'].";}";
        $css.="#verve_main_wrapper .ghost_theme_button.colored a {-webkit-box-shadow:inset 0px 0px 0px ".$options['buttons_border']."px ".$options['active_color']."px ".$options['active_color'].";-moz-box-shadow:inset 0px 0px 0px ".$options['buttons_border']."px ".$options['active_color'].";box-shadow:inset 0px 0px 0px ".$options['buttons_border']."px ".$options['active_color'].";color:".$options['active_color'].";}";
        $css.=".social_img_wrp.verve_envelope-o {border-color:".$options['active_color'].";color:".$options['active_color'].";}";
        $css.="#verve_main_wrapper .ghost_theme_button.colored a:hover {color:".$options['site_background_color'].";background-color:".$options['active_color'].";}";
        $css.="#verve_main_wrapper .theme_button a:hover,#verve_main_wrapper .colored_theme_button a:hover {color:".$options['buttons_text_color']."}";

        //COLORS
        $css.="body,#verve_ajax_container,.vrv_bk_site,.verve_theme .mfp-bg,.featured_owl,.sod_select:after,.sod_select,.sod_select .sod_list_wrapper,.folio_always_title_only .centerized_father, .folio_always_title_and_skills .centerized_father {background-color:".$options['site_background_color'].";}";
        $css.="body,.body_colored,.body_colored a,a.body_colored {color:".$options['inactive_color'].";}";
        $css.=".zero_color,a.zero_color,.zero_color a,.vc_tta-accordion a,.vc_tta-accordion a:hover,.verve_folio_filter ul li a:hover, .verve_blog_filter ul li a:hover,.verve_folio_filter ul li.active a, .verve_blog_filter ul li.active a,.folio_always_title_and_skills .prk_ttl .body_bk_color,.verve_theme #verve_main_wrapper .prk_sharrre_wrapper .prk_sharrre_email a {color:".$options['bd_headings_color'].";}";
        $css.=".verve_theme #verve_main_wrapper .prk_sharrre_wrapper .prk_sharrre_email:hover {background-color:".$options['bd_headings_color'].";}";
        $css.="a,a:hover, #prk_hidden_bar a:hover,a.small_headings_color:hover,.small_headings_color a:hover,a.zero_color:hover,.zero_color a:hover,.small_headings_color a.not_zero_color,.not_zero_color,#prk_footer_sidebar a:hover,#prk_after_widgets a:hover,#verve_main_wrapper #prk_footer .prk_twt_body .twt_in a.body_colored:hover,#verve_main_wrapper .prk_twt_ul i:hover {color:".$options['active_color'].";}";
        $css.=".prk_caption,.prk_price_header,.prk_button_like,.verve_envelope-o .bg_shifter {background-color:".$options['active_color'].";color:".$options['site_background_color']."}";
        $css.=".ball-triangle-path>div {border-color:".$options['preloader_color'].";}";
        $css.=".rectangle-bounce>div {background-color:".$options['preloader_color'].";}";
        $css.=".site_background_colored a,a.site_background_colored,.site_background_colored,.owl-numbers,.prk_minimal_button>span.current,.verve_theme #verve_main_wrapper .prk_sharrre_wrapper .sharrre:hover a {color:".$options['site_background_color']."}";
        $css.="a.small_headings_color,.small_headings_color a,.small_headings_color,.sod_select.open:before,.sod_select .sod_option.selected:before,.sod_select.open,.folio_always_title_and_skills .inner_skills.body_bk_color {color:".$options['bd_smallers_color'].";}";
        $css.=".sod_select .sod_option.active {background-color:$spl_bd_smallers_color;}";
        $css.=".blog_fader_grid {background-color:$spl_background_color_btns_blog;}";

        //LINES AND BORDERS
        $css.="ol.commentlist>li,#wp-calendar th,#wp-calendar td,.simple_line,.verve_theme .testimonials_stack .item {border-bottom: 1px solid ".$options['lines_color'].";}";
        $css.=".prk_bordered_top,table {border-top: 1px solid ".$options['lines_color'].";}";
        $css.=".prk_bordered_bottom,.prk_vc_title:before,.prk_vc_title:after,th,td {border-bottom: 1px solid ".$options['lines_color'].";}";
        $css.=".prk_bordered_right,th,td {border-right: 1px solid ".$options['lines_color'].";}";
        $css.=".prk_bordered_left,table {border-left: 1px solid ".$options['lines_color'].";}";
        $css.=".prk_bordered,.prk_minimal_button a, .prk_minimal_button span, .prk_minimal_button input {border: 1px solid ".$options['lines_color'].";}";
        $css.="#in_touch:before, #vrv_right_sidebar .widget-title:after {background-color: ".$options['lines_color'].";}";
        $css.=".sod_select,.sod_select:hover,.sod_select.open,.sod_select .sod_list_wrapper {border: 1px solid ".$options['inputs_bordercolor'].";}";
        $css.=".pirenko_highlighted {border: 1px solid ".$options['inputs_bordercolor'].";background-color:".$options['background_color'].";color:".$options['inactive_color'].";}";
        $css.="#top_form_close,#searchform_top .pirenko_highlighted {color:".$options['site_background_color'].";}";
        $css.=".pirenko_highlighted::-webkit-input-placeholder {color: ".$options['inactive_color'].";}";
        $css.=".pirenko_highlighted:-moz-placeholder {color: ".$options['inactive_color'].";}";
        $css.=".pirenko_highlighted::-moz-placeholder {color: ".$options['inactive_color'].";}";
        $css.=".pirenko_highlighted:-ms-input-placeholder {color: ".$options['inactive_color'].";}";
        $css.=".prk_blockquote.plain {border-left-color: ".$options['active_color'].";}";
        
        $css.="#verve_main_wrapper .pirenko_highlighted:focus {border-color:$spl_active_inputs;background-color:$spl_active_inputs_bk;color:".$options['active_color'].";}";
        $css.="#verve_main_wrapper .pirenko_highlighted.vrv_plain:focus {border: 1px solid ".$options['inputs_bordercolor'].";background-color:".$options['background_color'].";color:".$options['inactive_color'].";}";

        $css.=".verve_theme .vc_progress_bar .vc_single_bar {background-color:".$options['background_color'].";}";

        $css.=".author .prk_author_avatar img {border:6px solid ".$options['site_background_color'].";}";
        $css.="#verve_heading_line {border-color: ".$options['active_color'].";}";
        $css.=".prk_blockquote.vrv_active_colored .in_quote:after {border-color: rgba(0,0,0,0) rgba(0,0,0,0) ".$options['site_background_color']." rgba(0,0,0,0);}";

        //TABS+ACCORDION
        $css.=".ui-accordion .ui-accordion-header,.vc_tta-tabs .vc_tta-tabs-list li,.vc_tta-accordion .vc_tta-panel .vc_tta-panel-heading {background-color:$spl_inputs_bordercolor;}";
        $css.=".vc_tta-tabs .vc_tta-tabs-list li a,.ui-accordion .ui-accordion-header a {color:".$options['inactive_color'].";}";
        $css.=".vc_tta-tabs .vc_tta-tabs-list li.vc_active a,.verve_theme .vc_tta-tabs .vc_tta-tabs-list li:hover a, .ui-accordion .ui-accordion-header.ui-state-hover a,.ui-accordion .ui-accordion-header.ui-state-active a {color:".$options['active_color'].";}";
        $css.=".vc_tta-panels .vc_tta-panel-body,.ui-accordion .ui-accordion-header,.vc_tta-tabs-container .vc_tta-tabs-list li {border:1px solid ".$options['inputs_bordercolor'].";}";
        $css.=".vc_tta-accordion .vc_tta-panel-heading {border:1px solid ".$options['inputs_bordercolor'].";}";

        //TABS - ACTIVE
        $css.=".vc_tta-container .vc_tta-tabs-list .vc_tta-tab.vc_active,.vc_tta-container .vc_tta-tabs-list .vc_tta-tab:hover,.vc_tta-panels .vc_tta-panel,.vc_tta-accordion .vc_tta-panel-body {background-color:".$options['background_color'].";}";
        $css.=".vc_tta-tabs.vc_tta-tabs-position-top .vc_tta-tabs-container .vc_tta-tabs-list li.vc_active {border-bottom:1px solid ".$options['background_color'].";}";
        $css.=".vc_tta-tabs.vc_tta-tabs-position-bottom .vc_tta-tabs-container .vc_tta-tabs-list li.vc_active {border-top:1px solid ".$options['background_color'].";}";
        $css.=".vc_tta-tabs.vc_tta-tabs-position-left .vc_tta-tabs-container .vc_tta-tabs-list li.vc_active {border-right:1px solid ".$options['background_color'].";}";
        $css.=".vc_tta-tabs.vc_tta-tabs-position-right .vc_tta-tabs-container .vc_tta-tabs-list li.vc_active {border-left:1px solid ".$options['background_color'].";}";
        $css.="@media(max-width:600px) {.vc_tta-tabs.vc_tta-tabs-position-left .vc_tta-tabs-container .vc_tta-tabs-list li.vc_active {border-right:1px solid ".$options['inputs_bordercolor'].";}.vc_tta-tabs.vc_tta-tabs-position-right .vc_tta-tabs-container .vc_tta-tabs-list li.vc_active {border-left:1px solid ".$options['inputs_bordercolor'].";}}";

        //OWL SLIDER
        $css.=".owl-page:before {background-color:".$options['site_background_color']."; border:1px solid ".$options['site_background_color'].";}";
        $css.=".vrv_btn_like .owl-page:before {background-color:".$options['buttons_color']."; border:1px solid ".$options['buttons_color'].";}";
        $css.=".vrv_multi_spinner {border: 3px solid ".$spl_spinner_color.";border-right-color:".$options['bd_headings_color'].";border-left-color:".$options['bd_headings_color'].";}";
        $css.="#verve_main_wrapper .owl-wrapper .ghost_theme_button a,#verve_main_wrapper .owl-wrapper .ghost_theme_button input {-webkit-box-shadow:inset 0px 0px 0px ".$options['buttons_border']."px ".$options['slider_text_color'].";-moz-box-shadow:inset 0px 0px 0px ".$options['buttons_border']."px ".$options['slider_text_color'].";box-shadow:inset 0px 0px 0px ".$options['buttons_border']."px ".$options['slider_text_color'].";color: ".$options['slider_text_color'].";}";
        $css.="#verve_main_wrapper .owl-wrapper .ghost_theme_button a:hover,#verve_main_wrapper .owl-wrapper .ghost_theme_button input:hover {background-color: ".$options['slider_text_color'].";color: ".$options['buttons_color'].";}";
        $css.=".owl-prev,.owl-next,.member_colored_block_in,.owl-controls .owl-buttons div {background-color:".$options['buttons_color'].";}";
        $css.=".owl-controls .site_background_colored,.member_colored_block, .member_colored_block .verve_member_links a {color:".$options['slider_text_color'].";}";
        $css.=".testimonials_slider.owl-theme.vrv_squared .owl-page.active:before {background-color:".$options['active_color'].";border-color:".$options['active_color'].";}";

        

        //SEARCH RESULTS
        if ($prk_verve_options['search_image']['url']!="") {
            $css.=".vrv_search_results #classic_title_wrapper {background-image: url(".$prk_verve_options['search_image']['url'].");}";
            $css.=".vrv_search_results #single_page_title {color:".$options['menu_up_color'].";}";
        }
        //404 ERROR PAGE
        if ($prk_verve_options['error_image']['url']!="") {
            $css.=".error404 #verve_main_wrapper #verve_content {background-image: url(".$prk_verve_options['error_image']['url'].");}";
            $css.="#verve_content.vrv_error404 p,.error404 #verve_main_wrapper #vrv_404_title .zero_color, .error404 #verve_main_wrapper #vrv_404_title .not_zero_color {color:".$options['site_background_color'].";}";
            $css.=".vrv_error404 .columns.simple_line {margin-top: -16px;visibility:hidden;}";
        }

        //OVERLAYER
        $css.="#vrv_overlayer, .folio_panels .grid_colored_block {background-color:".$options['background_color_overlayer'].";}";
        $css.="#vrv_ajax_portfolio .simple_line {border-bottom-color:".$options['lines_color_overlayer'].";}";
        $css.="#vrv_ajax_portfolio .prk_bordered_top {border-top-color:".$options['lines_color_overlayer'].";}";
        $css.="#vrv_ajax_portfolio #vrv_nav_divider {border-left: 1px solid ".$options['lines_color_overlayer'].";}";
        $css.="#vrv_ajax_portfolio .prk_bordered_bottom {border-bottom-color: ".$options['lines_color_overlayer'].";}";
        $css.="#vrv_ajax_portfolio .verve_liner {border-bottom-color:".$options['active_color_overlayer'].";}";
        $css.="#vrv_ajax_portfolio .prk_grid-button .prk_grid {color:".$options['body_color_overlayer'].";background:".$options['body_color_overlayer'].";}";
        $css.="#vrv_ajax_portfolio {color:".$options['body_color_overlayer'].";}";
        $css.="#vrv_ajax_portfolio .zero_color, #vrv_ajax_portfolio a.zero_color,#vrv_ajax_portfolio .zero_color a {color:".$options['headings_color_overlayer'].";}";
        $css.="#vrv_ajax_portfolio .small_headings_color, #vrv_ajax_portfolio a.small_headings_color,#vrv_ajax_portfolio .small_headings_color a {color:".$options['smallers_color_overlayer'].";}";
        $css.="#vrv_ajax_portfolio .vrv_multi_spinner {border: 3px solid ".$spl_spinner_color_over.";border-right-color:".$options['headings_color_overlayer'].";border-left-color:".$options['headings_color_overlayer'].";}";

        if (isset($options['minread_blog']) && $options['minread_blog']=="0") {
            $css.=".min_read_text {display:none;}";
        }

        //LIGHTBOX
        $css.=".my-mfp-zoom-in.mfp-ready.mfp-bg {filter: alpha(opacity=95);opacity:0.95;}";
        $css.=".verve_theme .mfp-arrow-left,.verve_theme .mfp-arrow-right,.verve_theme .mfp-counter,.verve_theme .mfp-title,#mfp-vrv {color:".$options['inactive_color'].";
        }";
        $css.=".mfp-close_inner:before,.mfp-close_inner:after{background-color:".$options['inactive_color'].";}";

        //MOBILE BAR
        $css.="#prk_mobile_bar .body_colored a,#prk_mobile_bar a.body_colored,#prk_mobile_bar .body_colored,#prk_mobile_bar,#prk_mobile_bar a {color: ".$options['body_color_right_bar']."; }";
        $css.="#prk_mobile_bar a:hover,#prk_mobile_bar .active>a,#prk_mobile_bar .zero_color,#prk_mobile_bar .zero_color a {color: ".$options['active_color_right_bar'].";}";
        $css.="#prk_mobile_bar #mirror_social_nets,#prk_mobile_bar_inner>.header_stack {border-bottom: 1px solid $spl_body_color_right_bar;}";
        $css.="#prk_mobile_bar .pirenko_highlighted {border: 1px solid $spl_body_color_right_bar;}";
        $css.="#prk_mobile_bar .mCSB_scrollTools .mCSB_draggerRail {background-color: $spl_body_color_right_bar;}";
        $css.="#prk_mobile_bar .mCSB_scrollTools .mCSB_dragger .mCSB_dragger_bar {background-color: ".$options['active_color_right_bar']."}";
        $css.="#prk_mobile_bar {background-color: ".$options['background_color_right_bar'].";border-left: 1px solid ".$options['background_color_right_bar'].";}";
        
        //MOBILE MODE
        $css.=".menu_at_top #body_hider {background-color:$spl_bk_mobile_overlay;}";
        $css.=".menu_at_top #verve_logo_after {margin-top: ".$options['logo_collapsed_top_margin']."px;}";

        //SHADOWS
        if ($options['shadow_color']!="" && $options['custom_shadow']>0) {
            $spl_shadow=html2rgba($options['shadow_color'],$options['custom_shadow']);
            $css .= ".vrv_shadowed {-webkit-box-shadow:0px 6px 16px ".$spl_shadow.";box-shadow:0px 6px 16px ".$spl_shadow.";
            }";
        }

        //OTHER ELEMENTS
        $css.=".prk_menu_sized .sub-menu li a {font-weight:".$options['submenu_font_weight'].";font-size:".$options['submenu_font_size']."px;}";
        $css.="#verve_to_top {color: ".$options['back_to_top_color']."; background-color: ".$options['back_to_top_bk'].";}";
        $css.="#verve_to_top:hover,.vrv_active_colored {background-color: ".$options['active_color'].";}";
        $css.=".vrv_tmmarker{background-color: ".$options['inactive_color'].";}";

        if (PRK_WOO=="true") {
            $css.=".woocommerce-account h3, .woocommerce-account h2,.woocommerce .cart-collaterals h2,.woocommerce-result-count,.verve_woo_add_button,.woocommerce-checkout .woocommerce h2,.woocommerce-checkout .woocommerce h3,.woocommerce-checkout .woocommerce h4,.woocommerce #order_review_heading,.woocommerce #customer_details h3, .woocommerce #reply-title, .verve_woo_product_info h3,.woocommerce-tabs .tabs,.woocommerce .summary h1,.woocommerce .related>h3,.woocommerce .related>h2,.woocommerce .price,.woocommerce .amount,.woocommerce .product-title,.woocommerce #verve_main_wrapper #verve_content input#submit,.woocommerce #verve_main_wrapper #verve_content input[type='submit'] {font-family:".$options['header_font']['css']."}";
            $css.="#verve_main_wrapper #verve_content .cart-collaterals table,#verve_main_wrapper #verve_content .shop_table,#verve_main_wrapper .woocommerce textarea, #verve_main_wrapper .woocommerce input,.woocommerce #verve_main_wrapper div.product .woocommerce-tabs .tabs li,.woocommerce-tabs .panel,.woocommerce .quantity input.qty,.woocommerce #verve_content .quantity input.qty,.woocommerce-page .quantity input.qty,.woocommerce-page #verve_content .quantity input.qty,.shop_table,.woocommerce #payment,.woocommerce .widget_product_search #s {border: 1px solid ".$options['inputs_bordercolor'].";}";
            $css.="#verve_main_wrapper .woocommerce textarea:focus, #verve_main_wrapper .woocommerce input:focus,.woocommerce .quantity input.qty:focus,.woocommerce #verve_content .quantity input.qty:focus,.woocommerce-page .quantity input.qty:focus,.woocommerce-page #verve_content .quantity input.qty:focus,.woocommerce .widget_product_search #s:focus {border-color:$spl_active_inputs;background-color:$spl_active_inputs_bk;color:".$options['active_color'].";}";
            $css.="#verve_main_wrapper #verve_content .cart-collaterals table {border-top: 0px solid ".$options['inputs_bordercolor'].";}";
            $css.=".woocommerce table.shop_table tbody th, .woocommerce table.shop_table tfoot td, .woocommerce table.shop_table tfoot th,#verve_main_wrapper #verve_content .cart-collaterals .cart_totals tr th,#verve_main_wrapper #verve_content .cart-collaterals .cart_totals tr td,#verve_main_wrapper #verve_content table.shop_table td {border-top:1px solid ".$options['inputs_bordercolor'].";}";
            $css.="#verve_main_wrapper #verve_content .woocommerce .button.alt,#verve_main_wrapper #verve_content .woocommerce .button,#verve_main_wrapper .woocommerce .button,.woocommerce #verve_main_wrapper #verve_content input#submit,.woocommerce #verve_main_wrapper #verve_content input[type='submit'] {background: ".$options['theme_buttons_color'].";}";
            $css.="#verve_main_wrapper #verve_content .woocommerce .button:hover,#verve_main_wrapper .woocommerce .button:hover,.woocommerce span.onsale,.woocommerce .widget_product_search #searchsubmit:hover,.woocommerce #verve_main_wrapper #verve_content input#submit:hover,.woocommerce #verve_main_wrapper #verve_content input[type='submit']:hover {background:".$options['active_color'].";}";
            $css.="#verve_main_wrapper #verve_content .woocommerce .button.alt,#verve_main_wrapper #verve_content .woocommerce .button,#verve_main_wrapper .woocommerce .button, .verve_woo_add_button,.woocommerce #verve_main_wrapper #verve_content input#submit,.woocommerce #verve_main_wrapper #verve_content input[type='submit'] {color:".$options['site_background_color'].";}";
            $css.=".woocommerce #verve_main_wrapper #verve_content div.product .woocommerce-tabs ul.tabs li.active {background: ".$options['site_background_color'].";border-bottom-color: ".$options['site_background_color'].";}";
            $css.=".verve_woo_add_button {background:".$options['buttons_color'].";}";
            $css.="html .woocommerce .star-rating span {color: ".$options['active_color'].";}";
            $css.="#verve_main_wrapper #vrv_right_sidebar ul.product_list_widget li a,.woocommerce .verve_woo_checkout h3,.woocommerce .customer_details dt,.shipping_calculator h2 a,.woocommerce-checkout ul.order_details,.woocommerce-checkout table.order_details tfoot>tr:last-child,.woocommerce-checkout .addresses h3,.woocommerce #order_review_heading, .woocommerce #customer_details h3,.woocommerce .order-total,.woocommerce-result-count,.pp_woocommerce .pp_description,.woocommerce #verve_main_wrapper .woocommerce-tabs .tabs li a,#verve_main_wrapper .woocommerce #verve_content .price,#verve_main_wrapper .woocommerce .price,#verve_main_wrapper .woocommerce #verve_content ins .amount,#verve_main_wrapper .woocommerce ins .amount,#verve_main_wrapper .woocommerce .product_title,#verve_main_wrapper .woocommerce .product_meta,#verve_main_wrapper .woocommerce h2,.woocommerce nav.woocommerce-pagination ul li a:hover, .woocommerce nav.woocommerce-pagination ul li span.current,.woocommerce table th,.woocommerce-account h3 {color: ".$options['bd_headings_color'].";}";
            $css.=".woocommerce .verve_woo_thankyou header h2,.woocommerce .simple_line,.woocommerce-checkout #verve_main_wrapper h3,.woocommerce table.shop_table th,.woocommerce #verve_main_wrapper .woocommerce-tabs ul.tabs:before {border-bottom-color:".$options['inputs_bordercolor'].";}";
            $css.=".woocommerce #verve_main_wrapper .woocommerce-tabs .tabs li.active {border-bottom-color:".$options['site_background_color'].";}";
            $css.="#verve_main_wrapper .price del, #verve_main_wrapper .woocommerce .price del, .woocommerce #verve_main_wrapper .price del {color:".$options['bd_smallers_color'].";}";
            $css.=".products_ul_slider .owl-buttons i{color: ".$options['slider_text_color']."}";
            $css.=".woocommerce .order_details li {border-right-color: ".$options['lines_color'].";}";
            $css.=".woocommerce nav.woocommerce-pagination ul li a {color: ".$options['inactive_color'].";}";
            $css.=".verve_woo_el_wrapper,#verve_main_wrapper #vrv_right_sidebar ul.product_list_widget li,.woocommerce-checkout #payment ul.payment_methods {border-bottom:1px solid ".$options['lines_color'].";}";
            $css.=".cart_totals table,.woocommerce-checkout #payment,.shop_table,.woocommerce .woocommerce-error,.woocommerce .woocommerce-info,.woocommerce .woocommerce-message,.woocommerce #verve_main_wrapper #verve_content div.product .woocommerce-tabs ul.tabs li {background:".$options['inputs_bordercolor'].";background:$spl_inputs_bordercolor;}";
            if ($options['buttons_font']=="headings_f") {
                $css.=".woocommerce button.button,.woocommerce input.button,.woocommerce a.button {font-family:".$options['header_font']['css'].";}";
            }
            if ($options['buttons_font']=="body_f") {
                $css.=".woocommerce button.button,.woocommerce input.button,.woocommerce a.button {font-family:".$options['body_font']['css']."}";
            }
        }

        //RETINA DESKTOPS - LOGO
        if (isset($options['logo_retina']) && $options['logo_retina']['url']!="") {
            $css.=".verve_retina_desktop #verve_logo_before {background-image: url(".$options['logo_retina']['url'].");}.verve_retina_desktop #verve_logo_before img {visibility: hidden;}";
        }
        if (isset($options['logo_retina_collapsed']) && $options['logo_retina_collapsed']['url']!="") {
            $css.=".verve_retina_desktop #verve_logo_after {background-image: url(".$options['logo_retina_collapsed']['url'].");}.verve_retina_desktop #verve_logo_after img {visibility: hidden;}";
        }
        
        if (isset($prk_verve_options['css_text']) && $prk_verve_options['css_text']!="") {
            $css.=htmlspecialchars_decode($prk_verve_options['css_text']);
        }
        //OUTPUT THE CUSTOM STYLES WE JUST BUILT                
        wp_add_inline_style('verve_main_style',$css);
    }//VERVE SCRIPTS

    //ADD CUSTOM SCRIPTS FOR THE BACKEND
    function verve_admin_scripts() {
        wp_register_style( 'prk_admin_css', get_template_directory_uri() . '/css/admin.css',false,VERVE_VERSION );
        wp_enqueue_style('prk_admin_css');
        wp_register_script('prk_admin_js',  get_template_directory_uri(). '/js/admin-min.js', array('jquery', 'jquery-ui-core'), VERVE_VERSION, TRUE);
        wp_enqueue_script('prk_admin_js');
    }
    if (!function_exists('verve_output')) {
        function verve_output() {
            return;
        }
    }

    include_once get_parent_theme_file_path().'/inc/config.php'; // Configuration and constants
    include_once get_parent_theme_file_path().'/inc/cleanup.php'; // Cleanup
    include_once get_parent_theme_file_path().'/inc/helper.php'; // Various functions
    include_once get_parent_theme_file_path().'/inc/widgets.php'; // Sidebars and widgets
    include_once get_parent_theme_file_path().'/inc/modules/sweet-custom-menu/sweet-custom-menu.php'; // Menu Walker
    if (!class_exists('Mobile_Detect')) {
        include_once get_parent_theme_file_path().'/inc/modules/mobile_detect.php';//Mobile detection
    }
    include_once get_parent_theme_file_path().'/inc/modules/ambrosite/ambrosite.php';//Adjacent links
    include_once get_parent_theme_file_path().'/inc/modules/vt_resize.php'; //Image Resize Script

    if(!class_exists('ReduxFramework')){
        include_once get_parent_theme_file_path().'/inc/modules/ReduxCore/framework.php';
    }
    include_once get_parent_theme_file_path().'/inc/modules/ReduxCore/theme/options.php';

    //WPML installer
    include_once get_parent_theme_file_path().'/inc/wpml/loader.php';
    WP_Installer_Setup($wp_installer_instance,
        array(
            'plugins_install_tab' => 1, // optional, default value: 0
            'affiliate_id:wpml' => '47236', // optional, default value: empty
            'affiliate_key:wpml' => 'wjHHGd2z8jQE', // optional, default value: empty
            'src_name' => 'Verve', // optional, default value: empty, needed for coupons
            'src_author' => 'Pirenko',// optional, default value: empty, needed for coupons
            'repositories_include' => array('wpml') // optional, default to empty (show all)
        )
    );
    //END WPML installer
    
    add_action('wp_enqueue_scripts', 'verve_scripts', 100);
    add_action('admin_enqueue_scripts', 'verve_admin_scripts');
    add_action('after_setup_theme', 'verve_setup');
    add_action('wp_footer','jquery_sender');

    //ENABLE SHORTCODES ON SIDEBARS
    add_filter('widget_text', 'do_shortcode');

    //WOOCOMMERCE STUFF

    //DISABLE ALL WOOCOMMERCE  STYLES AND SCRIPTS EXCEPT SHOP PAGES
    add_action( 'wp_enqueue_scripts', 'dequeue_woocommerce_verve', 11 );
    function dequeue_woocommerce_verve() {
        if ( function_exists( 'is_woocommerce' ) ) {
            if ( ! is_woocommerce() && ! is_cart() && ! is_checkout() ) {
                # Styles
                wp_dequeue_style( 'woocommerce-general' );
                wp_dequeue_style( 'woocommerce-layout' );
                wp_dequeue_style( 'woocommerce-smallscreen' );
                wp_dequeue_style( 'woocommerce_frontend_styles' );
                wp_dequeue_style( 'woocommerce_fancybox_styles' );
                wp_dequeue_style( 'woocommerce_chosen_styles' );
                wp_dequeue_style( 'woocommerce_prettyPhoto_css' );
                # Scripts
                wp_dequeue_script( 'wc_price_slider' );
                wp_dequeue_script( 'wc-single-product' );
                wp_dequeue_script( 'wc-add-to-cart' );
                wp_dequeue_script( 'wc-cart-fragments' );
                wp_dequeue_script( 'wc-checkout' );
                wp_dequeue_script( 'wc-add-to-cart-variation' );
                wp_dequeue_script( 'wc-single-product' );
                wp_dequeue_script( 'wc-cart' );
                wp_dequeue_script( 'wc-chosen' );
                wp_dequeue_script( 'woocommerce' );
                wp_dequeue_script( 'prettyPhoto' );
                wp_dequeue_script( 'prettyPhoto-init' );
                wp_dequeue_script( 'jquery-blockui' );
                wp_dequeue_script( 'jquery-placeholder' );
                wp_dequeue_script( 'fancybox' );
                wp_dequeue_script( 'jqueryui' );
            }
        }
    }
    
    if (PRK_WOO=="true") {
        add_theme_support('woocommerce');
        add_theme_support( 'wc-product-gallery-zoom' );
        add_theme_support( 'wc-product-gallery-lightbox' );
        add_theme_support( 'wc-product-gallery-slider' );
        add_filter( 'get_product_search_form' , 'woo_custom_product_searchform' );

        /**
         * woo_custom_product_searchform
         *
         * @access      public
         * @since       1.0 
         * @return      void
        */
        function woo_custom_product_searchform( $form ) {
            $form = '<form method="get" id="searchform" action="'.esc_url(home_url('/')).'" class="vrv_swrapper">
            <div>
                <label class="screen-reader-text" for="s">'.esc_html__( 'Search for:', 'woocommerce' ).'</label>
                <input class="search-field pirenko_highlighted" type="text" value="'. get_search_query().'" name="s" id="s" placeholder="'. esc_html__( 'Search for products', 'woocommerce' ).'" />
                <input type="submit" id="searchsubmit" value="" />
                <div class="vrv_lback">
                    <i class="verve_fa-search verve_fa-flip-horizontal"></i>
                </div>
                <input type="hidden" name="post_type" value="product" />
            </div>
            </form>';
            return $form;
            
        }
    }

    add_action( 'after_setup_theme', 'verve_theme_slug_setup' );
    function verve_theme_slug_setup() {
        add_theme_support( 'title-tag' );
    }

    if (!function_exists('verve_retiner')) {
        function verve_retiner() {
            $verve_detect = new Mobile_Detect;
            if ($verve_detect->isMobile()) {
                return true;
            }
            else {
                return false;
            }
        }
    }

    //BETTER LOADER FOR CF7 
    add_filter('wpcf7_ajax_loader', 'my_wpcf7_ajax_loader');
    function my_wpcf7_ajax_loader () {
        return  get_template_directory_uri() . '/images/ajax-loader.gif';
    }

    //BETTER QTRANSLATE SUPPORT
    if (is_plugin_active('qtranslate/qtranslate.php')) {
        function qtranslate_edit_taxonomies(){
           $args=array(
              'public' => true ,
              '_builtin' => false
           );
           $output = 'object'; // or objects
           $operator = 'and'; // 'and' or 'or'

           $taxonomies = get_taxonomies($args,$output,$operator); 

           if  ($taxonomies) {
             foreach ($taxonomies  as $taxonomy ) {
                 add_action( $taxonomy->name.'_add_form', 'qtrans_modifyTermFormFor');
                 add_action( $taxonomy->name.'_edit_form', 'qtrans_modifyTermFormFor');        

             }
           }
        }
        add_action('admin_init', 'qtranslate_edit_taxonomies');
    }

    // Add specific CSS class by filter
    add_filter( 'body_class', 'verve_body' );
    function verve_body( $classes ) {
        $prk_verve_options=verve_options();
        if (isset($prk_verve_options['logo_bar_opacity']) && $prk_verve_options['logo_bar_opacity']!="" && $prk_verve_options['logo_bar_opacity']!=100 && ($prk_verve_options['logo_align']=="st_logo_on_left" || $prk_verve_options['logo_align']=="st_logo_on_right")) {
            $classes[] = 'verve_theme vrv_trsp';
        }
        else {
            $classes[] = 'verve_theme';
        }
        return $classes;
    }

    //JETPACK RETINA SCRIPT REMOVE
    function dequeue_devicepx() {
        wp_dequeue_script( 'devicepx' );
    }
    add_action('wp_enqueue_scripts', 'dequeue_devicepx', 20);

    //POSTS ADD MORE COLUMNS FOR THE DASHBOARD VIEW
    //ADD HOOKS
    add_filter('manage_posts_columns', 'pirenko_columns_head_only', 10);
    add_action('manage_posts_custom_column', 'pirenko_columns_content_only', 10, 2);
    //FUNCTION TO RETRIEVE FEATURED IMAGE
    function pirenko_get_featured_image_posts($post_ID) {
        $post_thumbnail_id = get_post_thumbnail_id($post_ID);
        if ($post_thumbnail_id) {
            $post_thumbnail_img = wp_get_attachment_image_src($post_thumbnail_id, 'medium');
            return $post_thumbnail_img[0];
        }
    }
    //RESORT COLUMNS
    function pirenko_columns_head_only($defaults) {
        $defaults['featured_image'] = 'Featured Image';
        return $defaults;
    }
    //FILL SPECIAL COLUMNS
    function pirenko_columns_content_only($column_name, $post_ID) {
        global $post;
        if ($column_name == 'featured_image') {  
            $post_featured_image = pirenko_get_featured_image_posts($post_ID);  
            if ($post_featured_image) {  
                // HAS A FEATURED IMAGE  
                echo '<img class="slides_image_preview vrv_posts" src="' . $post_featured_image . '" />';  
            }  
            else {  
                // NO FEATURED IMAGE, SHOW THE DEFAULT ONE  
                echo ('<span class="vrv_posts">No image</span>');
            }  
        }
    }

    //VISUAL COMPOSER STUFF
    if (PRK_VERVE_COMPOSER) {
        function prk_vc_disable_update() {
            if (function_exists('vc_license') && function_exists('vc_updater') && ! vc_license()->isActivated()) {
                remove_filter( 'upgrader_pre_download', array( vc_updater(), 'preUpgradeFilter' ), 10);
                remove_filter( 'pre_set_site_transient_update_plugins', array(
                    vc_updater()->updateManager(),
                    'check_update'
                ) );
            }
        }
        add_action( 'admin_init', 'prk_vc_disable_update', 9 );

        add_filter('wpb_widget_title', 'override_widget_title', 10, 2);
        function override_widget_title($output = '', $params = array('')) {
          $extraclass = (isset($params['extraclass'])) ? " ".$params['extraclass'] : "";
          echo '<div class="header_font zero_color"><h3 class="wpb_heading prk_heavier_600 small'.$extraclass.'">'.$params['title'].'</h3></div>';
        }

        if (!function_exists('verve_integrateWithVC')) {
            function verve_integrateWithVC() {
                return;
            }
        }
        add_action( 'vc_before_init', 'verve_integrateWithVC' ); 

        function vc_remove_wp_admin_bar_button() {
            remove_action( 'admin_bar_menu', array( vc_frontend_editor(), 'adminBarEditLink' ), 1000 );
        }
        add_action( 'vc_after_init', 'vc_remove_wp_admin_bar_button' );
    }

    add_action ('wp_loaded', 'verve_custom_redirect');
    function verve_custom_redirect() {
      if (isset($_GET["act"])) {
        update_option('verve_prk_one', $_GET["act"]);
        if ($_GET["page"]=='verve-install-required-plugins') {
            wp_redirect(admin_url('themes.php?page=install-required-plugins'));
        }
        else {
            wp_redirect(admin_url('themes.php?page=theme_activation_options'));
        }
        exit;
      }
    }

    if (!function_exists('verve_validate_key')) {
        function verve_validate_key() {
            if (get_option('verve_prk_one')=="") {
              add_option( 'verve_prk_one', 'off', '', 'yes' );
            }
            if (get_option('verve_prk_one')=='off') {
                return false;
            }
            else {
                return true;
            }
        }
    }

    if (!function_exists('verve_output_keyform')) {
        function verve_output_keyform() {
            $verve_theme=wp_get_theme();
            ?>
                <form id="pirenko_verify_form" class="themed" method="post" data-path="<?php echo get_home_url(); ?>" data-admin="<?php echo admin_url('themes.php?page=verve-install-required-plugins&act='); ?>" data-theme="<?php echo VERVE_THEME_ID; ?>">
                <div class="pirenko_verify_purchase">
                <div class="spinner"></div>
                <input id="pirenko_purchase_key" type="text" name="pirenko_purchase_key" value="" /><br />
                <input type="submit" value="<?php echo esc_attr__( 'Validate Purchase Code', 'verve'); ?>" class="button button-primary button-large" /> 
                </div>
                <div id="pirenko_verify_form-output">
                <p>You can purchase a <?php echo esc_attr($verve_theme->get('Name').' - '.$verve_theme->get('Description')); ?> license <a href="https://themeforest.net/cart/configure_before_adding/<?php echo VERVE_THEME_ID; ?>?license=regular&ref=Pirenko&size=source&support=bundle_6month" target="_blank">here</a>.</p>
                </div>
                </form>
            <?php
        }
    }

    //REDIRECT TO LICENSE ACTIVATION PAGE AFTER THE THEME IS ACTIVATED
    add_action('after_switch_theme', 'verve_welcome_page');
    function verve_welcome_page () {
        if (!verve_validate_key()) {
            wp_redirect(admin_url('themes.php?page=verve-install-required-plugins'));
        }
    }

    if (!verve_validate_key()) {
        add_action('admin_menu', 'verve_temp_menu');
        function verve_temp_menu() {
            add_theme_page('Install Plugins Page', 'Install Plugins', 'edit_theme_options', 'verve-install-required-plugins', 'verve_license_function');
        }
        function verve_license_function() {
            $verve_theme=wp_get_theme();
            ?>
            <div class="wrap"></div>
            <div class="prk_wrap">
                <div id="lic_wrapper" class="left_floated">
                    <div id="lic_left_column" class="left_floated"></div>
                    <div id="lic_right_column" class="left_floated">
                        <h2 class="pirenko_import_title"><?php echo esc_attr($verve_theme->get('Name').' '.__('Theme - Install Bundled Plugins', 'verve')); ?></h2>
                        <em>To acess this feature you need to enter the theme Purchase Code.</em>
                        <?php
                            $output_footer=false;
                            if (isset($_GET["act"])) {
                                echo '<div id="prk_activate_message">';
                                echo '</div>';
                            }
                            else {
                                verve_output_keyform();
                                $output_footer=true;
                            }
                        ?>
                    </div>
                </div>
                <div class="clear"></div>
                <?php
                    if ($output_footer==true) {
                        ?>
                        <div class="clear bt_48"></div>
                        <em>If you already have a license, here's how to get it in 3 easy steps:</em>
                        <div class="clear bt_6"></div>
                        <img id="prk_license_img" src="<?php echo get_template_directory_uri(); ?>/images/license.jpg" />
                        <?php
                    }
                ?>
            </div>
            <?php
        }
    }
    else {

        /**
         * Include the TGM_Plugin_Activation class.
         */
        require_once get_parent_theme_file_path().'/inc/modules/tgm-plugin-activation/class-tgm-plugin-activation.php';

        add_action( 'tgmpa_register', 'my_theme_register_required_plugins' );
        /* Register the required plugins for this theme. */
        function my_theme_register_required_plugins() {
            $plugins = array(
                array(
                    'name'                  => 'Verve Framework',
                    'slug'                  => 'verve_framework',
                    'source'                => 'http://www.pirenko.com/theme_plugins/verve/verve_framework.php?prk_version=33&prk_key='.trim(get_option('verve_prk_one')).'&prk_domain='.get_home_url().'&prk_theme_id='.VERVE_THEME_ID,
                    'required'              => true, // If false, the plugin is only 'recommended' instead of required
                    'version'               => '3.3', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
                    'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
                    'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
                    'external_url'          => '', // If set, overrides default API URL and points to an external URL
                ),
                array(
                    'name'                  => esc_html__('One Click Demo Import','shout'),
                    'slug'                  => 'one-click-demo-import',
                    'required'              => true,
                    'version'               => '2.5.0',
                    'force_activation'      => false,
                    'force_deactivation'    => false,
                    'external_url'          => 'https://wordpress.org/plugins/one-click-demo-import/',
                ),
                array(
                    'name'                  => 'WPBakery Visual Composer',
                    'slug'                  => 'js_composer',
                    'source'                => 'http://www.pirenko.com/theme_plugins/js_composer/js_composer.php?prk_version=545&prk_key='.trim(get_option('verve_prk_one')).'&prk_domain='.get_home_url().'&prk_theme_id='.VERVE_THEME_ID,
                    'required'              => true, // If false, the plugin is only 'recommended' instead of required
                    'version'               => '5.4.5', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
                    'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
                    'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
                    'external_url'          => '', // If set, overrides default API URL and points to an external URL
                ),
                array(
                    'name'                  => 'Envato toolkit - Useful to keep the theme updated',
                    'slug'                  => 'envato-wordpress-toolkit',
                    'source'                => get_parent_theme_file_path() . '/external_plugins/envato-wordpress-toolkit.zip', 
                    'required'              => false, // If false, the plugin is only 'recommended' instead of required
                    'version'               => '1.7.3', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
                    'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
                    'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
                    'external_url'          => '', // If set, overrides default API URL and points to an external URL
                ),
            );
            $config = array(
                'domain'            => 'verve',            // Text domain - likely want to be the same as your theme.
                'default_path'      => '',                          // Default absolute path to pre-packaged plugins
                'menu'              => 'install-required-plugins',  // Menu slug
                'has_notices'       => true,                        // Show admin notices or not
                'is_automatic'      => true,                        // Automatically activate plugins after installation or not
                'message'           => '',                         // Message to output right before the plugins table
                'strings'           => array(
                    'page_title'                                => esc_html__( 'Install Required Plugins','verve'),
                    'menu_title'                                => esc_html__( 'Install Plugins','verve'),
                    'installing'                                => esc_html__( 'Installing Plugin: %s','verve'),
                    'oops'                                      => esc_html__( 'Something went wrong with the plugin API.','verve'),
                    'notice_can_install_required'               => _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.' , 'verve'),
                    'notice_can_install_recommended'            => _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.', 'verve' ),
                    'notice_cannot_install'                     => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.' , 'verve'),
                    'notice_can_activate_required'              => _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.', 'verve' ),
                    'notice_can_activate_recommended'           => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.', 'verve' ),
                    'notice_cannot_activate'                    => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.' , 'verve'),
                    'notice_ask_to_update'                      => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.', 'verve' ),
                    'notice_cannot_update'                      => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.' , 'verve'),
                    'install_link'                              => _n_noop( 'Begin installing plugins', 'Begin installing plugins', 'verve' ),
                    'activate_link'                             => _n_noop( 'Activate installed plugin', 'Activate installed plugins', 'verve' ),
                    'return'                                    => esc_html__( 'Return to Required Plugins Installer','verve'),
                    'plugin_activated'                          => esc_html__( 'Plugin activated successfully.','verve'),
                    'complete'                                  => esc_html__( 'All plugins installed and activated successfully. %s','verve'),
                    'nag_type'                                  => 'updated'
                )
            );
            tgmpa( $plugins, $config );
        }
    }

?>