<?php
	//EDIT THE THEME NAME HERE IF NEEDED
	define('PRK_THEME_NAME', 'Verve');
	//NO MORE EDITING PLEASE

	// returns WordPress subdirectory if applicable
	function wp_base_dir() {
		preg_match('!(https?://[^/|"]+)([^"]+)?!', site_url(), $matches);
		if (count($matches) === 3) {
			return end($matches);
		} else {
			return '';
		}
	}

	// opposite of built in WP functions for trailing slashes
	function leadingslashit($string) {
		return '/' . unleadingslashit($string);
	}

	function unleadingslashit($string) {
		return ltrim($string, '/');
	}

	function add_filters($tags, $function) {
		foreach($tags as $tag) {
			add_filter($tag, $function);
		}
	}

	// Set the content width based on the theme's design and stylesheet
	if (!isset($content_width)) { $content_width = 1920; }
	
	define('POST_EXCERPT_LENGTH',       40);
	define('SIDEBAR_CLASSES',           'small-3 columns prk_bordered_left');	
	define('WP_BASE',                   wp_base_dir());
	define('THEME_NAME',                wp_get_theme());
	define('RELATIVE_PLUGIN_PATH',      str_replace(site_url() . '/', '', plugins_url()));
	define('FULL_RELATIVE_PLUGIN_PATH', WP_BASE . '/' . RELATIVE_PLUGIN_PATH);
	define('RELATIVE_CONTENT_PATH',     str_replace(site_url() . '/', '', content_url()));
	define('THEME_PATH',                RELATIVE_CONTENT_PATH . '/themes/' . THEME_NAME);
	define('PRK_BACKEND_THEME_NAME',		'verve');
	define('ACF_LITE',false);
	define('VERVE_THEME_ID','14758884');

	include_once( ABSPATH . 'wp-admin/includes/plugin.php' );

	if (function_exists('wp_get_theme')) {
		$prk_theme=wp_get_theme(get_template());
	    define('VERVE_VERSION',$prk_theme->Version);
	} 
	else {
	    define('VERVE_VERSION',1);
	}

	if (is_plugin_active('verve_framework/verve_framework.php')) {
    	define('PRK_VERVE_FRAMEWORK',true);
    }
    else {
    	define('PRK_VERVE_FRAMEWORK',false);
	}
	if (is_plugin_active('js_composer/js_composer.php') || is_plugin_active('js_composer-412/js_composer.php')) {
    	define('PRK_VERVE_COMPOSER',true);
    }
    else {
    	define('PRK_VERVE_COMPOSER',false);
	}
    if (is_plugin_active('woocommerce/woocommerce.php')) {
    	define('PRK_WOO',true);
    }
    else {
    	define('PRK_WOO',false);
	}
	if (is_plugin_active('revslider/revslider.php')) {
    	define('PRK_RVSLIDER',true);
    }
    else {
    	define('PRK_RVSLIDER',false);
	}
	if (is_plugin_active('sitepress-multilingual-cms/sitepress.php')) {
    	define('PRK_WPML',true);
    }
    else {
    	define('PRK_WPML',false);
	}

	//SHOW PLUGIN REQUIRES UPDATE MESSAGE
	if (is_admin()) {
		if (get_option('verve_last_version')=="") {
			add_option('verve_last_version', VERVE_VERSION, '', 'yes');
		}
		if (get_option('verve_last_version')!=VERVE_VERSION) {
			update_option('verve_last_version', VERVE_VERSION);
			delete_user_meta( get_current_user_id(), 'tgmpa_dismissed_notice_verve' );
		}
	}





