<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

if ( ! class_exists( 'ReduxFramework_select' ) ) {
    class ReduxFramework_select {

        /**
         * Field Constructor.
         * Required - must call the parent constructor, then assign field and value to vars, and obviously call the render field function
         *
         * @since ReduxFramework 1.0.0
         */
        public function __construct( $field = array(), $value = '', $parent ) {
            $this->parent = $parent;
            $this->field  = $field;
            $this->value  = $value;
        }

        /**
         * Field Render Function.
         * Takes the vars and outputs the HTML for the field in the settings
         *
         * @since ReduxFramework 1.0.0
         */
        public function render() {
            $sortable = ( isset( $this->field['sortable'] ) && $this->field['sortable'] ) ? ' select2-sortable"' : "";

            if ( ! empty( $sortable ) ) { // Dummy proofing  :P
                $this->field['multi'] = true;
            }

            if ( ! empty( $this->field['data'] ) && empty( $this->field['options'] ) ) {
                if ( empty( $this->field['args'] ) ) {
                    $this->field['args'] = array();
                }

                if ( $this->field['data'] == "elusive-icons" || $this->field['data'] == "elusive-icon" || $this->field['data'] == "elusive" ) {
                    $icons_file = ReduxFramework::$_dir . 'inc/fields/select/elusive-icons.php';
                    /**
                     * filter 'redux-font-icons-file}'
                     *
                     * @param  array $icon_file File for the icons
                     */
                    $icons_file = apply_filters( 'redux-font-icons-file', $icons_file );

                    /**
                     * filter 'redux/{opt_name}/field/font/icons/file'
                     *
                     * @param  array $icon_file File for the icons
                     */
                    $icons_file = apply_filters( "redux/{$this->parent->args['opt_name']}/field/font/icons/file", $icons_file );
                    if ( file_exists( $icons_file ) ) {
                        require_once $icons_file;
                    }
                }

                $this->field['options'] = $this->parent->get_wordpress_data( $this->field['data'], $this->field['args'] );
            }

            if ( ! empty( $this->field['data'] ) && ( $this->field['data'] == "elusive-icons" || $this->field['data'] == "elusive-icon" || $this->field['data'] == "elusive" ) ) {
                $this->field['class'] .= " font-icons";
            }
            //if
            //PIRENKO
            if( !empty( $this->field['data'] ) && $this->field['data']== 'mdi-icons' && empty( $this->field['options'] ) ) {

                 $pattern = '/\.(mdi-(?:\w+(?:-)?)+):before\s+{\s*content:\s*"(.+)";\s+}/';
                $subject = '
                .mdi-access-point-network:before {
  content: "\f102";
}

.mdi-account:before {
  content: "\f103";
}

.mdi-account-alert:before {
  content: "\f104";
}

.mdi-account-box:before {
  content: "\f105";
}

.mdi-account-box-outline:before {
  content: "\f106";
}

.mdi-account-check:before {
  content: "\f107";
}

.mdi-account-circle:before {
  content: "\f108";
}

.mdi-account-convert:before {
  content: "\f109";
}

.mdi-account-key:before {
  content: "\f10a";
}

.mdi-account-location:before {
  content: "\f10b";
}

.mdi-account-minus:before {
  content: "\f10c";
}

.mdi-account-multiple:before {
  content: "\f10d";
}

.mdi-account-multiple-outline:before {
  content: "\f10e";
}

.mdi-account-multiple-plus:before {
  content: "\f10f";
}

.mdi-account-network:before {
  content: "\f110";
}

.mdi-account-outline:before {
  content: "\f111";
}

.mdi-account-plus:before {
  content: "\f112";
}

.mdi-account-remove:before {
  content: "\f113";
}

.mdi-account-search:before {
  content: "\f114";
}

.mdi-account-star:before {
  content: "\f115";
}

.mdi-account-star-variant:before {
  content: "\f116";
}

.mdi-account-switch:before {
  content: "\f117";
}

.mdi-air-conditioner:before {
  content: "\f118";
}

.mdi-airballoon:before {
  content: "\f119";
}

.mdi-airplane:before {
  content: "\f11a";
}

.mdi-airplane-off:before {
  content: "\f11b";
}

.mdi-alarm:before {
  content: "\f11c";
}

.mdi-alarm-check:before {
  content: "\f11d";
}

.mdi-alarm-multiple:before {
  content: "\f11e";
}

.mdi-alarm-off:before {
  content: "\f11f";
}

.mdi-alarm-plus:before {
  content: "\f120";
}

.mdi-album:before {
  content: "\f121";
}

.mdi-alert:before {
  content: "\f122";
}

.mdi-alert-box:before {
  content: "\f123";
}

.mdi-alert-circle:before {
  content: "\f124";
}

.mdi-alert-octagon:before {
  content: "\f125";
}

.mdi-alpha:before {
  content: "\f126";
}

.mdi-alphabetical:before {
  content: "\f127";
}

.mdi-amazon:before {
  content: "\f128";
}

.mdi-amazon-clouddrive:before {
  content: "\f129";
}

.mdi-ambulance:before {
  content: "\f12a";
}

.mdi-android:before {
  content: "\f12b";
}

.mdi-android-debug-bridge:before {
  content: "\f12c";
}

.mdi-android-studio:before {
  content: "\f12d";
}

.mdi-apple:before {
  content: "\f12e";
}

.mdi-apple-finder:before {
  content: "\f12f";
}

.mdi-apple-ios:before {
  content: "\f130";
}

.mdi-apple-mobileme:before {
  content: "\f131";
}

.mdi-apple-safari:before {
  content: "\f132";
}

.mdi-appnet:before {
  content: "\f133";
}

.mdi-apps:before {
  content: "\f134";
}

.mdi-archive:before {
  content: "\f135";
}

.mdi-arrange-bring-forward:before {
  content: "\f136";
}

.mdi-arrange-bring-to-front:before {
  content: "\f137";
}

.mdi-arrange-send-backward:before {
  content: "\f138";
}

.mdi-arrange-send-to-back:before {
  content: "\f139";
}

.mdi-arrow-all:before {
  content: "\f13a";
}

.mdi-arrow-bottom-left:before {
  content: "\f13b";
}

.mdi-arrow-bottom-right:before {
  content: "\f13c";
}

.mdi-arrow-collapse:before {
  content: "\f13d";
}

.mdi-arrow-down:before {
  content: "\f13e";
}

.mdi-arrow-down-bold:before {
  content: "\f13f";
}

.mdi-arrow-down-bold-circle:before {
  content: "\f140";
}

.mdi-arrow-down-bold-circle-outline:before {
  content: "\f141";
}

.mdi-arrow-down-bold-hexagon-outline:before {
  content: "\f142";
}

.mdi-arrow-expand:before {
  content: "\f143";
}

.mdi-arrow-left:before {
  content: "\f144";
}

.mdi-arrow-left-bold:before {
  content: "\f145";
}

.mdi-arrow-left-bold-circle:before {
  content: "\f146";
}

.mdi-arrow-left-bold-circle-outline:before {
  content: "\f147";
}

.mdi-arrow-left-bold-hexagon-outline:before {
  content: "\f148";
}

.mdi-arrow-right:before {
  content: "\f149";
}

.mdi-arrow-right-bold:before {
  content: "\f14a";
}

.mdi-arrow-right-bold-circle:before {
  content: "\f14b";
}

.mdi-arrow-right-bold-circle-outline:before {
  content: "\f14c";
}

.mdi-arrow-right-bold-hexagon-outline:before {
  content: "\f14d";
}

.mdi-arrow-top-left:before {
  content: "\f14e";
}

.mdi-arrow-top-right:before {
  content: "\f14f";
}

.mdi-arrow-up:before {
  content: "\f150";
}

.mdi-arrow-up-bold:before {
  content: "\f151";
}

.mdi-arrow-up-bold-circle:before {
  content: "\f152";
}

.mdi-arrow-up-bold-circle-outline:before {
  content: "\f153";
}

.mdi-arrow-up-bold-hexagon-outline:before {
  content: "\f154";
}

.mdi-at:before {
  content: "\f155";
}

.mdi-attachment:before {
  content: "\f156";
}

.mdi-audiobook:before {
  content: "\f157";
}

.mdi-auto-fix:before {
  content: "\f158";
}

.mdi-auto-upload:before {
  content: "\f159";
}

.mdi-baby:before {
  content: "\f15a";
}

.mdi-backburger:before {
  content: "\f15b";
}

.mdi-backup-restore:before {
  content: "\f15c";
}

.mdi-bank:before {
  content: "\f15d";
}

.mdi-barcode:before {
  content: "\f15e";
}

.mdi-barley:before {
  content: "\f15f";
}

.mdi-barrel:before {
  content: "\f160";
}

.mdi-basecamp:before {
  content: "\f161";
}

.mdi-basket:before {
  content: "\f162";
}

.mdi-basket-fill:before {
  content: "\f163";
}

.mdi-basket-unfill:before {
  content: "\f164";
}

.mdi-battery:before {
  content: "\f165";
}

.mdi-battery-10:before {
  content: "\f166";
}

.mdi-battery-20:before {
  content: "\f167";
}

.mdi-battery-30:before {
  content: "\f168";
}

.mdi-battery-40:before {
  content: "\f169";
}

.mdi-battery-50:before {
  content: "\f16a";
}

.mdi-battery-60:before {
  content: "\f16b";
}

.mdi-battery-70:before {
  content: "\f16c";
}

.mdi-battery-80:before {
  content: "\f16d";
}

.mdi-battery-90:before {
  content: "\f16e";
}

.mdi-battery-alert:before {
  content: "\f16f";
}

.mdi-battery-charging-100:before {
  content: "\f170";
}

.mdi-battery-charging-20:before {
  content: "\f171";
}

.mdi-battery-charging-30:before {
  content: "\f172";
}

.mdi-battery-charging-40:before {
  content: "\f173";
}

.mdi-battery-charging-60:before {
  content: "\f174";
}

.mdi-battery-charging-80:before {
  content: "\f175";
}

.mdi-battery-charging-90:before {
  content: "\f176";
}

.mdi-battery-minus:before {
  content: "\f177";
}

.mdi-battery-negative:before {
  content: "\f178";
}

.mdi-battery-outline:before {
  content: "\f179";
}

.mdi-battery-plus:before {
  content: "\f17a";
}

.mdi-battery-positive:before {
  content: "\f17b";
}

.mdi-battery-unknown:before {
  content: "\f17c";
}

.mdi-beach:before {
  content: "\f17d";
}

.mdi-beaker:before {
  content: "\f17e";
}

.mdi-beaker-empty:before {
  content: "\f17f";
}

.mdi-beaker-empty-outline:before {
  content: "\f180";
}

.mdi-beaker-outline:before {
  content: "\f181";
}

.mdi-beats:before {
  content: "\f182";
}

.mdi-beer:before {
  content: "\f183";
}

.mdi-behance:before {
  content: "\f184";
}

.mdi-bell:before {
  content: "\f185";
}

.mdi-bell-off:before {
  content: "\f186";
}

.mdi-bell-outline:before {
  content: "\f187";
}

.mdi-bell-ring:before {
  content: "\f188";
}

.mdi-bell-ring-outline:before {
  content: "\f189";
}

.mdi-bell-sleep:before {
  content: "\f18a";
}

.mdi-beta:before {
  content: "\f18b";
}

.mdi-bike:before {
  content: "\f18c";
}

.mdi-bing:before {
  content: "\f18d";
}

.mdi-binoculars:before {
  content: "\f18e";
}

.mdi-bio:before {
  content: "\f18f";
}

.mdi-biohazard:before {
  content: "\f190";
}

.mdi-bitbucket:before {
  content: "\f191";
}

.mdi-black-mesa:before {
  content: "\f192";
}

.mdi-blackberry:before {
  content: "\f193";
}

.mdi-blinds:before {
  content: "\f194";
}

.mdi-block-helper:before {
  content: "\f195";
}

.mdi-blogger:before {
  content: "\f196";
}

.mdi-bluetooth:before {
  content: "\f197";
}

.mdi-bluetooth-audio:before {
  content: "\f198";
}

.mdi-bluetooth-connect:before {
  content: "\f199";
}

.mdi-bluetooth-settings:before {
  content: "\f19a";
}

.mdi-bluetooth-transfer:before {
  content: "\f19b";
}

.mdi-blur:before {
  content: "\f19c";
}

.mdi-blur-linear:before {
  content: "\f19d";
}

.mdi-blur-off:before {
  content: "\f19e";
}

.mdi-blur-radial:before {
  content: "\f19f";
}

.mdi-bone:before {
  content: "\f1a0";
}

.mdi-book:before {
  content: "\f1a1";
}

.mdi-book-multiple:before {
  content: "\f1a2";
}

.mdi-book-multiple-variant:before {
  content: "\f1a3";
}

.mdi-book-open:before {
  content: "\f1a4";
}

.mdi-book-variant:before {
  content: "\f1a5";
}

.mdi-bookmark:before {
  content: "\f1a6";
}

.mdi-bookmark-check:before {
  content: "\f1a7";
}

.mdi-bookmark-music:before {
  content: "\f1a8";
}

.mdi-bookmark-outline:before {
  content: "\f1a9";
}

.mdi-bookmark-outline-plus:before {
  content: "\f1aa";
}

.mdi-bookmark-plus:before {
  content: "\f1ab";
}

.mdi-bookmark-remove:before {
  content: "\f1ac";
}

.mdi-border-all:before {
  content: "\f1ad";
}

.mdi-border-bottom:before {
  content: "\f1ae";
}

.mdi-border-color:before {
  content: "\f1af";
}

.mdi-border-horizontal:before {
  content: "\f1b0";
}

.mdi-border-inside:before {
  content: "\f1b1";
}

.mdi-border-left:before {
  content: "\f1b2";
}

.mdi-border-none:before {
  content: "\f1b3";
}

.mdi-border-outside:before {
  content: "\f1b4";
}

.mdi-border-right:before {
  content: "\f1b5";
}

.mdi-border-top:before {
  content: "\f1b6";
}

.mdi-border-vertical:before {
  content: "\f1b7";
}

.mdi-bowling:before {
  content: "\f1b8";
}

.mdi-box:before {
  content: "\f1b9";
}

.mdi-briefcase:before {
  content: "\f1ba";
}

.mdi-briefcase-check:before {
  content: "\f1bb";
}

.mdi-briefcase-download:before {
  content: "\f1bc";
}

.mdi-briefcase-upload:before {
  content: "\f1bd";
}

.mdi-brightness-1:before {
  content: "\f1be";
}

.mdi-brightness-2:before {
  content: "\f1bf";
}

.mdi-brightness-3:before {
  content: "\f1c0";
}

.mdi-brightness-4:before {
  content: "\f1c1";
}

.mdi-brightness-5:before {
  content: "\f1c2";
}

.mdi-brightness-6:before {
  content: "\f1c3";
}

.mdi-brightness-7:before {
  content: "\f1c4";
}

.mdi-brightness-auto:before {
  content: "\f1c5";
}

.mdi-broom:before {
  content: "\f1c6";
}

.mdi-brush:before {
  content: "\f1c7";
}

.mdi-bug:before {
  content: "\f1c8";
}

.mdi-bulletin-board:before {
  content: "\f1c9";
}

.mdi-bullhorn:before {
  content: "\f1ca";
}

.mdi-bus:before {
  content: "\f1cb";
}

.mdi-cake:before {
  content: "\f1cc";
}

.mdi-cake-variant:before {
  content: "\f1cd";
}

.mdi-calculator:before {
  content: "\f1ce";
}

.mdi-calendar:before {
  content: "\f1cf";
}

.mdi-calendar-blank:before {
  content: "\f1d0";
}

.mdi-calendar-check:before {
  content: "\f1d1";
}

.mdi-calendar-clock:before {
  content: "\f1d2";
}

.mdi-calendar-multiple:before {
  content: "\f1d3";
}

.mdi-calendar-multiple-check:before {
  content: "\f1d4";
}

.mdi-calendar-plus:before {
  content: "\f1d5";
}

.mdi-calendar-remove:before {
  content: "\f1d6";
}

.mdi-calendar-text:before {
  content: "\f1d7";
}

.mdi-calendar-today:before {
  content: "\f1d8";
}

.mdi-camcorder:before {
  content: "\f1d9";
}

.mdi-camcorder-box:before {
  content: "\f1da";
}

.mdi-camcorder-box-off:before {
  content: "\f1db";
}

.mdi-camcorder-off:before {
  content: "\f1dc";
}

.mdi-camera:before {
  content: "\f1dd";
}

.mdi-camera-front:before {
  content: "\f1de";
}

.mdi-camera-front-variant:before {
  content: "\f1df";
}

.mdi-camera-iris:before {
  content: "\f1e0";
}

.mdi-camera-party-mode:before {
  content: "\f1e1";
}

.mdi-camera-rear:before {
  content: "\f1e2";
}

.mdi-camera-rear-variant:before {
  content: "\f1e3";
}

.mdi-camera-switch:before {
  content: "\f1e4";
}

.mdi-camera-timer:before {
  content: "\f1e5";
}

.mdi-candycane:before {
  content: "\f1e6";
}

.mdi-car:before {
  content: "\f1e7";
}

.mdi-car-battery:before {
  content: "\f1e8";
}

.mdi-car-wash:before {
  content: "\f1e9";
}

.mdi-carrot:before {
  content: "\f1ea";
}

.mdi-cart:before {
  content: "\f1eb";
}

.mdi-cart-outline:before {
  content: "\f1ec";
}

.mdi-case-sensitive-alt:before {
  content: "\f1ed";
}

.mdi-cash:before {
  content: "\f1ee";
}

.mdi-cash-100:before {
  content: "\f1ef";
}

.mdi-cash-multiple:before {
  content: "\f1f0";
}

.mdi-cash-usd:before {
  content: "\f1f1";
}

.mdi-cast:before {
  content: "\f1f2";
}

.mdi-cast-connected:before {
  content: "\f1f3";
}

.mdi-castle:before {
  content: "\f1f4";
}

.mdi-cat:before {
  content: "\f1f5";
}

.mdi-cellphone:before {
  content: "\f1f6";
}

.mdi-cellphone-android:before {
  content: "\f1f7";
}

.mdi-cellphone-basic:before {
  content: "\f1f8";
}

.mdi-cellphone-dock:before {
  content: "\f1f9";
}

.mdi-cellphone-iphone:before {
  content: "\f1fa";
}

.mdi-cellphone-link:before {
  content: "\f1fb";
}

.mdi-cellphone-link-off:before {
  content: "\f1fc";
}

.mdi-cellphone-settings:before {
  content: "\f1fd";
}

.mdi-certificate:before {
  content: "\f1fe";
}

.mdi-chair-school:before {
  content: "\f1ff";
}

.mdi-chart-arc:before {
  content: "\f200";
}

.mdi-chart-areaspline:before {
  content: "\f201";
}

.mdi-chart-bar:before {
  content: "\f202";
}

.mdi-chart-histogram:before {
  content: "\f203";
}

.mdi-chart-line:before {
  content: "\f204";
}

.mdi-chart-pie:before {
  content: "\f205";
}

.mdi-check:before {
  content: "\f206";
}

.mdi-check-all:before {
  content: "\f207";
}

.mdi-checkbox-blank:before {
  content: "\f208";
}

.mdi-checkbox-blank-circle:before {
  content: "\f209";
}

.mdi-checkbox-blank-circle-outline:before {
  content: "\f20a";
}

.mdi-checkbox-blank-outline:before {
  content: "\f20b";
}

.mdi-checkbox-marked:before {
  content: "\f20c";
}

.mdi-checkbox-marked-circle:before {
  content: "\f20d";
}

.mdi-checkbox-marked-circle-outline:before {
  content: "\f20e";
}

.mdi-checkbox-marked-outline:before {
  content: "\f20f";
}

.mdi-checkbox-multiple-blank:before {
  content: "\f210";
}

.mdi-checkbox-multiple-blank-outline:before {
  content: "\f211";
}

.mdi-checkbox-multiple-marked:before {
  content: "\f212";
}

.mdi-checkbox-multiple-marked-outline:before {
  content: "\f213";
}

.mdi-checkerboard:before {
  content: "\f214";
}

.mdi-chevron-double-down:before {
  content: "\f215";
}

.mdi-chevron-double-left:before {
  content: "\f216";
}

.mdi-chevron-double-right:before {
  content: "\f217";
}

.mdi-chevron-double-up:before {
  content: "\f218";
}

.mdi-chevron-down:before {
  content: "\f219";
}

.mdi-chevron-left:before {
  content: "\f21a";
}

.mdi-chevron-right:before {
  content: "\f21b";
}

.mdi-chevron-up:before {
  content: "\f21c";
}

.mdi-church:before {
  content: "\f21d";
}

.mdi-cisco-webex:before {
  content: "\f21e";
}

.mdi-city:before {
  content: "\f21f";
}

.mdi-clipboard:before {
  content: "\f220";
}

.mdi-clipboard-account:before {
  content: "\f221";
}

.mdi-clipboard-alert:before {
  content: "\f222";
}

.mdi-clipboard-arrow-down:before {
  content: "\f223";
}

.mdi-clipboard-arrow-left:before {
  content: "\f224";
}

.mdi-clipboard-check:before {
  content: "\f225";
}

.mdi-clipboard-outline:before {
  content: "\f226";
}

.mdi-clipboard-text:before {
  content: "\f227";
}

.mdi-clippy:before {
  content: "\f228";
}

.mdi-clock:before {
  content: "\f229";
}

.mdi-clock-fast:before {
  content: "\f22a";
}

.mdi-close:before {
  content: "\f22b";
}

.mdi-close-box:before {
  content: "\f22c";
}

.mdi-close-box-outline:before {
  content: "\f22d";
}

.mdi-close-circle:before {
  content: "\f22e";
}

.mdi-close-circle-outline:before {
  content: "\f22f";
}

.mdi-close-network:before {
  content: "\f230";
}

.mdi-closed-caption:before {
  content: "\f231";
}

.mdi-cloud:before {
  content: "\f232";
}

.mdi-cloud-check:before {
  content: "\f233";
}

.mdi-cloud-circle:before {
  content: "\f234";
}

.mdi-cloud-download:before {
  content: "\f235";
}

.mdi-cloud-outline:before {
  content: "\f236";
}

.mdi-cloud-outline-off:before {
  content: "\f237";
}

.mdi-cloud-print:before {
  content: "\f238";
}

.mdi-cloud-print-outline:before {
  content: "\f239";
}

.mdi-cloud-upload:before {
  content: "\f23a";
}

.mdi-code-array:before {
  content: "\f23b";
}

.mdi-code-braces:before {
  content: "\f23c";
}

.mdi-code-brackets:before {
  content: "\f23d";
}

.mdi-code-equal:before {
  content: "\f23e";
}

.mdi-code-greater-than:before {
  content: "\f23f";
}

.mdi-code-less-than:before {
  content: "\f240";
}

.mdi-code-less-than-or-equal:before {
  content: "\f241";
}

.mdi-code-not-equal:before {
  content: "\f242";
}

.mdi-code-not-equal-variant:before {
  content: "\f243";
}

.mdi-code-parentheses:before {
  content: "\f244";
}

.mdi-code-string:before {
  content: "\f245";
}

.mdi-code-tags:before {
  content: "\f246";
}

.mdi-codepen:before {
  content: "\f247";
}

.mdi-coffee:before {
  content: "\f248";
}

.mdi-coffee-to-go:before {
  content: "\f249";
}

.mdi-coin:before {
  content: "\f24a";
}

.mdi-color-helper:before {
  content: "\f24b";
}

.mdi-comment:before {
  content: "\f24c";
}

.mdi-comment-account:before {
  content: "\f24d";
}

.mdi-comment-account-outline:before {
  content: "\f24e";
}

.mdi-comment-alert:before {
  content: "\f24f";
}

.mdi-comment-alert-outline:before {
  content: "\f250";
}

.mdi-comment-check:before {
  content: "\f251";
}

.mdi-comment-check-outline:before {
  content: "\f252";
}

.mdi-comment-multiple-outline:before {
  content: "\f253";
}

.mdi-comment-outline:before {
  content: "\f254";
}

.mdi-comment-plus-outline:before {
  content: "\f255";
}

.mdi-comment-processing:before {
  content: "\f256";
}

.mdi-comment-processing-outline:before {
  content: "\f257";
}

.mdi-comment-remove-outline:before {
  content: "\f258";
}

.mdi-comment-text:before {
  content: "\f259";
}

.mdi-comment-text-outline:before {
  content: "\f25a";
}

.mdi-compare:before {
  content: "\f25b";
}

.mdi-compass:before {
  content: "\f25c";
}

.mdi-compass-outline:before {
  content: "\f25d";
}

.mdi-console:before {
  content: "\f25e";
}

.mdi-content-copy:before {
  content: "\f25f";
}

.mdi-content-cut:before {
  content: "\f260";
}

.mdi-content-duplicate:before {
  content: "\f261";
}

.mdi-content-paste:before {
  content: "\f262";
}

.mdi-content-save:before {
  content: "\f263";
}

.mdi-content-save-all:before {
  content: "\f264";
}

.mdi-contrast:before {
  content: "\f265";
}

.mdi-contrast-box:before {
  content: "\f266";
}

.mdi-contrast-circle:before {
  content: "\f267";
}

.mdi-cow:before {
  content: "\f268";
}

.mdi-credit-card:before {
  content: "\f269";
}

.mdi-credit-card-multiple:before {
  content: "\f26a";
}

.mdi-credit-card-scan:before {
  content: "\f26b";
}

.mdi-crop:before {
  content: "\f26c";
}

.mdi-crop-free:before {
  content: "\f26d";
}

.mdi-crop-landscape:before {
  content: "\f26e";
}

.mdi-crop-portrait:before {
  content: "\f26f";
}

.mdi-crop-square:before {
  content: "\f270";
}

.mdi-crosshairs:before {
  content: "\f271";
}

.mdi-crosshairs-gps:before {
  content: "\f272";
}

.mdi-crown:before {
  content: "\f273";
}

.mdi-cube:before {
  content: "\f274";
}

.mdi-cube-outline:before {
  content: "\f275";
}

.mdi-cube-unfolded:before {
  content: "\f276";
}

.mdi-cup:before {
  content: "\f277";
}

.mdi-cup-water:before {
  content: "\f278";
}

.mdi-currency-btc:before {
  content: "\f279";
}

.mdi-currency-eur:before {
  content: "\f27a";
}

.mdi-currency-gbp:before {
  content: "\f27b";
}

.mdi-currency-inr:before {
  content: "\f27c";
}

.mdi-currency-ngn:before {
  content: "\f27d";
}

.mdi-currency-rub:before {
  content: "\f27e";
}

.mdi-currency-try:before {
  content: "\f27f";
}

.mdi-currency-usd:before {
  content: "\f280";
}

.mdi-cursor-default:before {
  content: "\f281";
}

.mdi-cursor-default-outline:before {
  content: "\f282";
}

.mdi-cursor-move:before {
  content: "\f283";
}

.mdi-cursor-pointer:before {
  content: "\f284";
}

.mdi-database:before {
  content: "\f285";
}

.mdi-database-minus:before {
  content: "\f286";
}

.mdi-database-plus:before {
  content: "\f287";
}

.mdi-debug-step-into:before {
  content: "\f288";
}

.mdi-debug-step-out:before {
  content: "\f289";
}

.mdi-debug-step-over:before {
  content: "\f28a";
}

.mdi-decimal-decrease:before {
  content: "\f28b";
}

.mdi-decimal-increase:before {
  content: "\f28c";
}

.mdi-delete:before {
  content: "\f28d";
}

.mdi-delete-variant:before {
  content: "\f28e";
}

.mdi-deskphone:before {
  content: "\f28f";
}

.mdi-desktop-mac:before {
  content: "\f290";
}

.mdi-desktop-tower:before {
  content: "\f291";
}

.mdi-details:before {
  content: "\f292";
}

.mdi-deviantart:before {
  content: "\f293";
}

.mdi-diamond:before {
  content: "\f294";
}

.mdi-dice:before {
  content: "\f295";
}

.mdi-dice-1:before {
  content: "\f296";
}

.mdi-dice-2:before {
  content: "\f297";
}

.mdi-dice-3:before {
  content: "\f298";
}

.mdi-dice-4:before {
  content: "\f299";
}

.mdi-dice-5:before {
  content: "\f29a";
}

.mdi-dice-6:before {
  content: "\f29b";
}

.mdi-directions:before {
  content: "\f29c";
}

.mdi-disk-alert:before {
  content: "\f29d";
}

.mdi-disqus:before {
  content: "\f29e";
}

.mdi-disqus-outline:before {
  content: "\f29f";
}

.mdi-division:before {
  content: "\f2a0";
}

.mdi-division-box:before {
  content: "\f2a1";
}

.mdi-dns:before {
  content: "\f2a2";
}

.mdi-domain:before {
  content: "\f2a3";
}

.mdi-dots-horizontal:before {
  content: "\f2a4";
}

.mdi-dots-vertical:before {
  content: "\f2a5";
}

.mdi-download:before {
  content: "\f2a6";
}

.mdi-drag:before {
  content: "\f2a7";
}

.mdi-drag-horizontal:before {
  content: "\f2a8";
}

.mdi-drag-vertical:before {
  content: "\f2a9";
}

.mdi-drawing:before {
  content: "\f2aa";
}

.mdi-drawing-box:before {
  content: "\f2ab";
}

.mdi-dribbble:before {
  content: "\f2ac";
}

.mdi-dribbble-box:before {
  content: "\f2ad";
}

.mdi-drone:before {
  content: "\f2ae";
}

.mdi-dropbox:before {
  content: "\f2af";
}

.mdi-drupal:before {
  content: "\f2b0";
}

.mdi-duck:before {
  content: "\f2b1";
}

.mdi-dumbbell:before {
  content: "\f2b2";
}

.mdi-earth:before {
  content: "\f2b3";
}

.mdi-earth-off:before {
  content: "\f2b4";
}

.mdi-edge:before {
  content: "\f2b5";
}

.mdi-eject:before {
  content: "\f2b6";
}

.mdi-elevation-decline:before {
  content: "\f2b7";
}

.mdi-elevation-rise:before {
  content: "\f2b8";
}

.mdi-elevator:before {
  content: "\f2b9";
}

.mdi-email:before {
  content: "\f2ba";
}

.mdi-email-open:before {
  content: "\f2bb";
}

.mdi-email-outline:before {
  content: "\f2bc";
}

.mdi-email-secure:before {
  content: "\f2bd";
}

.mdi-emoticon:before {
  content: "\f2be";
}

.mdi-emoticon-cool:before {
  content: "\f2bf";
}

.mdi-emoticon-devil:before {
  content: "\f2c0";
}

.mdi-emoticon-happy:before {
  content: "\f2c1";
}

.mdi-emoticon-neutral:before {
  content: "\f2c2";
}

.mdi-emoticon-poop:before {
  content: "\f2c3";
}

.mdi-emoticon-sad:before {
  content: "\f2c4";
}

.mdi-emoticon-tongue:before {
  content: "\f2c5";
}

.mdi-engine:before {
  content: "\f2c6";
}

.mdi-engine-outline:before {
  content: "\f2c7";
}

.mdi-equal:before {
  content: "\f2c8";
}

.mdi-equal-box:before {
  content: "\f2c9";
}

.mdi-eraser:before {
  content: "\f2ca";
}

.mdi-escalator:before {
  content: "\f2cb";
}

.mdi-ethernet:before {
  content: "\f2cc";
}

.mdi-ethernet-cable:before {
  content: "\f2cd";
}

.mdi-ethernet-cable-off:before {
  content: "\f2ce";
}

.mdi-etsy:before {
  content: "\f2cf";
}

.mdi-evernote:before {
  content: "\f2d0";
}

.mdi-exclamation:before {
  content: "\f2d1";
}

.mdi-exit-to-app:before {
  content: "\f2d2";
}

.mdi-export:before {
  content: "\f2d3";
}

.mdi-eye:before {
  content: "\f2d4";
}

.mdi-eye-off:before {
  content: "\f2d5";
}

.mdi-eyedropper:before {
  content: "\f2d6";
}

.mdi-eyedropper-variant:before {
  content: "\f2d7";
}

.mdi-facebook:before {
  content: "\f2d8";
}

.mdi-facebook-box:before {
  content: "\f2d9";
}

.mdi-facebook-messenger:before {
  content: "\f2da";
}

.mdi-factory:before {
  content: "\f2db";
}

.mdi-fan:before {
  content: "\f2dc";
}

.mdi-fast-forward:before {
  content: "\f2dd";
}

.mdi-fax:before {
  content: "\f2de";
}

.mdi-ferry:before {
  content: "\f2df";
}

.mdi-file:before {
  content: "\f2e0";
}

.mdi-file-chart:before {
  content: "\f2e1";
}

.mdi-file-check:before {
  content: "\f2e2";
}

.mdi-file-cloud:before {
  content: "\f2e3";
}

.mdi-file-delimited:before {
  content: "\f2e4";
}

.mdi-file-document:before {
  content: "\f2e5";
}

.mdi-file-document-box:before {
  content: "\f2e6";
}

.mdi-file-excel:before {
  content: "\f2e7";
}

.mdi-file-excel-box:before {
  content: "\f2e8";
}

.mdi-file-find:before {
  content: "\f2e9";
}

.mdi-file-image:before {
  content: "\f2ea";
}

.mdi-file-image-box:before {
  content: "\f2eb";
}

.mdi-file-lock:before {
  content: "\f2ec";
}

.mdi-file-multiple:before {
  content: "\f2ed";
}

.mdi-file-music:before {
  content: "\f2ee";
}

.mdi-file-outline:before {
  content: "\f2ef";
}

.mdi-file-pdf:before {
  content: "\f2f0";
}

.mdi-file-pdf-box:before {
  content: "\f2f1";
}

.mdi-file-powerpoint:before {
  content: "\f2f2";
}

.mdi-file-powerpoint-box:before {
  content: "\f2f3";
}

.mdi-file-presentation-box:before {
  content: "\f2f4";
}

.mdi-file-send:before {
  content: "\f2f5";
}

.mdi-file-video:before {
  content: "\f2f6";
}

.mdi-file-word:before {
  content: "\f2f7";
}

.mdi-file-word-box:before {
  content: "\f2f8";
}

.mdi-file-xml:before {
  content: "\f2f9";
}

.mdi-film:before {
  content: "\f2fa";
}

.mdi-filmstrip:before {
  content: "\f2fb";
}

.mdi-filmstrip-off:before {
  content: "\f2fc";
}

.mdi-filter:before {
  content: "\f2fd";
}

.mdi-filter-outline:before {
  content: "\f2fe";
}

.mdi-filter-remove:before {
  content: "\f2ff";
}

.mdi-filter-remove-outline:before {
  content: "\f300";
}

.mdi-filter-variant:before {
  content: "\f301";
}

.mdi-fingerprint:before {
  content: "\f302";
}

.mdi-fire:before {
  content: "\f303";
}

.mdi-firefox:before {
  content: "\f304";
}

.mdi-fish:before {
  content: "\f305";
}

.mdi-flag:before {
  content: "\f306";
}

.mdi-flag-checkered:before {
  content: "\f307";
}

.mdi-flag-outline:before {
  content: "\f308";
}

.mdi-flag-outline-variant:before {
  content: "\f309";
}

.mdi-flag-triangle:before {
  content: "\f30a";
}

.mdi-flag-variant:before {
  content: "\f30b";
}

.mdi-flash:before {
  content: "\f30c";
}

.mdi-flash-auto:before {
  content: "\f30d";
}

.mdi-flash-off:before {
  content: "\f30e";
}

.mdi-flashlight:before {
  content: "\f30f";
}

.mdi-flashlight-off:before {
  content: "\f310";
}

.mdi-flattr:before {
  content: "\f311";
}

.mdi-flip-to-back:before {
  content: "\f312";
}

.mdi-flip-to-front:before {
  content: "\f313";
}

.mdi-floppy:before {
  content: "\f314";
}

.mdi-flower:before {
  content: "\f315";
}

.mdi-folder:before {
  content: "\f316";
}

.mdi-folder-account:before {
  content: "\f317";
}

.mdi-folder-download:before {
  content: "\f318";
}

.mdi-folder-google-drive:before {
  content: "\f319";
}

.mdi-folder-image:before {
  content: "\f31a";
}

.mdi-folder-lock:before {
  content: "\f31b";
}

.mdi-folder-lock-open:before {
  content: "\f31c";
}

.mdi-folder-move:before {
  content: "\f31d";
}

.mdi-folder-multiple:before {
  content: "\f31e";
}

.mdi-folder-multiple-image:before {
  content: "\f31f";
}

.mdi-folder-multiple-outline:before {
  content: "\f320";
}

.mdi-folder-outline:before {
  content: "\f321";
}

.mdi-folder-plus:before {
  content: "\f322";
}

.mdi-folder-remove:before {
  content: "\f323";
}

.mdi-folder-upload:before {
  content: "\f324";
}

.mdi-food:before {
  content: "\f325";
}

.mdi-food-apple:before {
  content: "\f326";
}

.mdi-food-variant:before {
  content: "\f327";
}

.mdi-football:before {
  content: "\f328";
}

.mdi-football-australian:before {
  content: "\f329";
}

.mdi-football-helmet:before {
  content: "\f32a";
}

.mdi-format-align-center:before {
  content: "\f32b";
}

.mdi-format-align-justify:before {
  content: "\f32c";
}

.mdi-format-align-left:before {
  content: "\f32d";
}

.mdi-format-align-right:before {
  content: "\f32e";
}

.mdi-format-bold:before {
  content: "\f32f";
}

.mdi-format-clear:before {
  content: "\f330";
}

.mdi-format-color-fill:before {
  content: "\f331";
}

.mdi-format-float-center:before {
  content: "\f332";
}

.mdi-format-float-left:before {
  content: "\f333";
}

.mdi-format-float-none:before {
  content: "\f334";
}

.mdi-format-float-right:before {
  content: "\f335";
}

.mdi-format-header-1:before {
  content: "\f336";
}

.mdi-format-header-2:before {
  content: "\f337";
}

.mdi-format-header-3:before {
  content: "\f338";
}

.mdi-format-header-4:before {
  content: "\f339";
}

.mdi-format-header-5:before {
  content: "\f33a";
}

.mdi-format-header-6:before {
  content: "\f33b";
}

.mdi-format-header-decrease:before {
  content: "\f33c";
}

.mdi-format-header-equal:before {
  content: "\f33d";
}

.mdi-format-header-increase:before {
  content: "\f33e";
}

.mdi-format-header-pound:before {
  content: "\f33f";
}

.mdi-format-indent-decrease:before {
  content: "\f340";
}

.mdi-format-indent-increase:before {
  content: "\f341";
}

.mdi-format-italic:before {
  content: "\f342";
}

.mdi-format-line-spacing:before {
  content: "\f343";
}

.mdi-format-list-bulleted:before {
  content: "\f344";
}

.mdi-format-list-bulleted-type:before {
  content: "\f345";
}

.mdi-format-list-numbers:before {
  content: "\f346";
}

.mdi-format-paint:before {
  content: "\f347";
}

.mdi-format-paragraph:before {
  content: "\f348";
}

.mdi-format-quote:before {
  content: "\f349";
}

.mdi-format-size:before {
  content: "\f34a";
}

.mdi-format-strikethrough:before {
  content: "\f34b";
}

.mdi-format-strikethrough-variant:before {
  content: "\f34c";
}

.mdi-format-subscript:before {
  content: "\f34d";
}

.mdi-format-superscript:before {
  content: "\f34e";
}

.mdi-format-text:before {
  content: "\f34f";
}

.mdi-format-textdirection-l-to-r:before {
  content: "\f350";
}

.mdi-format-textdirection-r-to-l:before {
  content: "\f351";
}

.mdi-format-underline:before {
  content: "\f352";
}

.mdi-format-wrap-inline:before {
  content: "\f353";
}

.mdi-format-wrap-square:before {
  content: "\f354";
}

.mdi-format-wrap-tight:before {
  content: "\f355";
}

.mdi-format-wrap-top-bottom:before {
  content: "\f356";
}

.mdi-forum:before {
  content: "\f357";
}

.mdi-forward:before {
  content: "\f358";
}

.mdi-foursquare:before {
  content: "\f359";
}

.mdi-fridge:before {
  content: "\f35a";
}

.mdi-fullscreen:before {
  content: "\f35b";
}

.mdi-fullscreen-exit:before {
  content: "\f35c";
}

.mdi-function:before {
  content: "\f35d";
}

.mdi-gamepad:before {
  content: "\f35e";
}

.mdi-gamepad-variant:before {
  content: "\f35f";
}

.mdi-gas-station:before {
  content: "\f360";
}

.mdi-gauge:before {
  content: "\f361";
}

.mdi-gavel:before {
  content: "\f362";
}

.mdi-gender-female:before {
  content: "\f363";
}

.mdi-gender-male:before {
  content: "\f364";
}

.mdi-gender-male-female:before {
  content: "\f365";
}

.mdi-gender-transgender:before {
  content: "\f366";
}

.mdi-gift:before {
  content: "\f367";
}

.mdi-git:before {
  content: "\f368";
}

.mdi-github-box:before {
  content: "\f369";
}

.mdi-github-circle:before {
  content: "\f36a";
}

.mdi-glass-flute:before {
  content: "\f36b";
}

.mdi-glass-mug:before {
  content: "\f36c";
}

.mdi-glass-stange:before {
  content: "\f36d";
}

.mdi-glass-tulip:before {
  content: "\f36e";
}

.mdi-glasses:before {
  content: "\f36f";
}

.mdi-gmail:before {
  content: "\f370";
}

.mdi-google:before {
  content: "\f371";
}

.mdi-google-chrome:before {
  content: "\f372";
}

.mdi-google-circles:before {
  content: "\f373";
}

.mdi-google-circles-communities:before {
  content: "\f374";
}

.mdi-google-circles-extended:before {
  content: "\f375";
}

.mdi-google-circles-group:before {
  content: "\f376";
}

.mdi-google-controller:before {
  content: "\f377";
}

.mdi-google-controller-off:before {
  content: "\f378";
}

.mdi-google-drive:before {
  content: "\f379";
}

.mdi-google-earth:before {
  content: "\f37a";
}

.mdi-google-glass:before {
  content: "\f37b";
}

.mdi-google-pages:before {
  content: "\f37c";
}

.mdi-google-play:before {
  content: "\f37d";
}

.mdi-google-plus:before {
  content: "\f37e";
}

.mdi-google-plus-box:before {
  content: "\f37f";
}

.mdi-grid:before {
  content: "\f380";
}

.mdi-grid-off:before {
  content: "\f381";
}

.mdi-group:before {
  content: "\f382";
}

.mdi-guitar:before {
  content: "\f383";
}

.mdi-guitar-pick:before {
  content: "\f384";
}

.mdi-guitar-pick-outline:before {
  content: "\f385";
}

.mdi-hand-pointing-right:before {
  content: "\f386";
}

.mdi-hanger:before {
  content: "\f387";
}

.mdi-hangouts:before {
  content: "\f388";
}

.mdi-harddisk:before {
  content: "\f389";
}

.mdi-headphones:before {
  content: "\f38a";
}

.mdi-headphones-box:before {
  content: "\f38b";
}

.mdi-headphones-settings:before {
  content: "\f38c";
}

.mdi-headset:before {
  content: "\f38d";
}

.mdi-headset-dock:before {
  content: "\f38e";
}

.mdi-headset-off:before {
  content: "\f38f";
}

.mdi-heart:before {
  content: "\f390";
}

.mdi-heart-box:before {
  content: "\f391";
}

.mdi-heart-box-outline:before {
  content: "\f392";
}

.mdi-heart-broken:before {
  content: "\f393";
}

.mdi-heart-outline:before {
  content: "\f394";
}

.mdi-help:before {
  content: "\f395";
}

.mdi-help-circle:before {
  content: "\f396";
}

.mdi-hexagon:before {
  content: "\f397";
}

.mdi-hexagon-outline:before {
  content: "\f398";
}

.mdi-history:before {
  content: "\f399";
}

.mdi-hololens:before {
  content: "\f39a";
}

.mdi-home:before {
  content: "\f39b";
}

.mdi-home-modern:before {
  content: "\f39c";
}

.mdi-home-variant:before {
  content: "\f39d";
}

.mdi-hops:before {
  content: "\f39e";
}

.mdi-hospital:before {
  content: "\f39f";
}

.mdi-hospital-building:before {
  content: "\f3a0";
}

.mdi-hospital-marker:before {
  content: "\f3a1";
}

.mdi-hotel:before {
  content: "\f3a2";
}

.mdi-houzz:before {
  content: "\f3a3";
}

.mdi-houzz-box:before {
  content: "\f3a4";
}

.mdi-human:before {
  content: "\f3a5";
}

.mdi-human-child:before {
  content: "\f3a6";
}

.mdi-human-male-female:before {
  content: "\f3a7";
}

.mdi-image-album:before {
  content: "\f3a8";
}

.mdi-image-area:before {
  content: "\f3a9";
}

.mdi-image-area-close:before {
  content: "\f3aa";
}

.mdi-image-broken:before {
  content: "\f3ab";
}

.mdi-image-filter:before {
  content: "\f3ac";
}

.mdi-image-filter-black-white:before {
  content: "\f3ad";
}

.mdi-image-filter-center-focus:before {
  content: "\f3ae";
}

.mdi-image-filter-drama:before {
  content: "\f3af";
}

.mdi-image-filter-frames:before {
  content: "\f3b0";
}

.mdi-image-filter-hdr:before {
  content: "\f3b1";
}

.mdi-image-filter-none:before {
  content: "\f3b2";
}

.mdi-image-filter-tilt-shift:before {
  content: "\f3b3";
}

.mdi-image-filter-vintage:before {
  content: "\f3b4";
}

.mdi-import:before {
  content: "\f3b5";
}

.mdi-inbox:before {
  content: "\f3b6";
}

.mdi-information:before {
  content: "\f3b7";
}

.mdi-information-outline:before {
  content: "\f3b8";
}

.mdi-instagram:before {
  content: "\f3b9";
}

.mdi-instapaper:before {
  content: "\f3ba";
}

.mdi-internet-explorer:before {
  content: "\f3bb";
}

.mdi-invert-colors:before {
  content: "\f3bc";
}

.mdi-jira:before {
  content: "\f3bd";
}

.mdi-jsfiddle:before {
  content: "\f3be";
}

.mdi-keg:before {
  content: "\f3bf";
}

.mdi-key:before {
  content: "\f3c0";
}

.mdi-key-change:before {
  content: "\f3c1";
}

.mdi-key-minus:before {
  content: "\f3c2";
}

.mdi-key-plus:before {
  content: "\f3c3";
}

.mdi-key-remove:before {
  content: "\f3c4";
}

.mdi-key-variant:before {
  content: "\f3c5";
}

.mdi-keyboard:before {
  content: "\f3c6";
}

.mdi-keyboard-backspace:before {
  content: "\f3c7";
}

.mdi-keyboard-caps:before {
  content: "\f3c8";
}

.mdi-keyboard-close:before {
  content: "\f3c9";
}

.mdi-keyboard-off:before {
  content: "\f3ca";
}

.mdi-keyboard-return:before {
  content: "\f3cb";
}

.mdi-keyboard-tab:before {
  content: "\f3cc";
}

.mdi-keyboard-variant:before {
  content: "\f3cd";
}

.mdi-label:before {
  content: "\f3ce";
}

.mdi-label-outline:before {
  content: "\f3cf";
}

.mdi-lan:before {
  content: "\f3d0";
}

.mdi-lan-connect:before {
  content: "\f3d1";
}

.mdi-lan-disconnect:before {
  content: "\f3d2";
}

.mdi-lan-pending:before {
  content: "\f3d3";
}

.mdi-language-csharp:before {
  content: "\f3d4";
}

.mdi-language-css3:before {
  content: "\f3d5";
}

.mdi-language-html5:before {
  content: "\f3d6";
}

.mdi-language-javascript:before {
  content: "\f3d7";
}

.mdi-language-python:before {
  content: "\f3d8";
}

.mdi-language-python-text:before {
  content: "\f3d9";
}

.mdi-laptop:before {
  content: "\f3da";
}

.mdi-laptop-chromebook:before {
  content: "\f3db";
}

.mdi-laptop-mac:before {
  content: "\f3dc";
}

.mdi-laptop-windows:before {
  content: "\f3dd";
}

.mdi-lastfm:before {
  content: "\f3de";
}

.mdi-launch:before {
  content: "\f3df";
}

.mdi-layers:before {
  content: "\f3e0";
}

.mdi-layers-off:before {
  content: "\f3e1";
}

.mdi-leaf:before {
  content: "\f3e2";
}

.mdi-led-off:before {
  content: "\f3e3";
}

.mdi-led-on:before {
  content: "\f3e4";
}

.mdi-led-outline:before {
  content: "\f3e5";
}

.mdi-led-variant-off:before {
  content: "\f3e6";
}

.mdi-led-variant-on:before {
  content: "\f3e7";
}

.mdi-led-variant-outline:before {
  content: "\f3e8";
}

.mdi-library:before {
  content: "\f3e9";
}

.mdi-library-books:before {
  content: "\f3ea";
}

.mdi-library-music:before {
  content: "\f3eb";
}

.mdi-library-plus:before {
  content: "\f3ec";
}

.mdi-lightbulb:before {
  content: "\f3ed";
}

.mdi-lightbulb-outline:before {
  content: "\f3ee";
}

.mdi-link:before {
  content: "\f3ef";
}

.mdi-link-off:before {
  content: "\f3f0";
}

.mdi-link-variant:before {
  content: "\f3f1";
}

.mdi-link-variant-off:before {
  content: "\f3f2";
}

.mdi-linkedin:before {
  content: "\f3f3";
}

.mdi-linkedin-box:before {
  content: "\f3f4";
}

.mdi-linux:before {
  content: "\f3f5";
}

.mdi-lock:before {
  content: "\f3f6";
}

.mdi-lock-open:before {
  content: "\f3f7";
}

.mdi-lock-open-outline:before {
  content: "\f3f8";
}

.mdi-lock-outline:before {
  content: "\f3f9";
}

.mdi-login:before {
  content: "\f3fa";
}

.mdi-logout:before {
  content: "\f3fb";
}

.mdi-looks:before {
  content: "\f3fc";
}

.mdi-loupe:before {
  content: "\f3fd";
}

.mdi-lumx:before {
  content: "\f3fe";
}

.mdi-magnet:before {
  content: "\f3ff";
}

.mdi-magnet-on:before {
  content: "\f400";
}

.mdi-magnify:before {
  content: "\f401";
}

.mdi-magnify-minus:before {
  content: "\f402";
}

.mdi-magnify-plus:before {
  content: "\f403";
}

.mdi-mail-ru:before {
  content: "\f404";
}

.mdi-map:before {
  content: "\f405";
}

.mdi-map-marker:before {
  content: "\f406";
}

.mdi-map-marker-circle:before {
  content: "\f407";
}

.mdi-map-marker-multiple:before {
  content: "\f408";
}

.mdi-map-marker-off:before {
  content: "\f409";
}

.mdi-map-marker-radius:before {
  content: "\f40a";
}

.mdi-margin:before {
  content: "\f40b";
}

.mdi-markdown:before {
  content: "\f40c";
}

.mdi-marker-check:before {
  content: "\f40d";
}

.mdi-martini:before {
  content: "\f40e";
}

.mdi-material-ui:before {
  content: "\f40f";
}

.mdi-math-compass:before {
  content: "\f410";
}

.mdi-maxcdn:before {
  content: "\f411";
}

.mdi-medium:before {
  content: "\f412";
}

.mdi-memory:before {
  content: "\f413";
}

.mdi-menu:before {
  content: "\f414";
}

.mdi-menu-down:before {
  content: "\f415";
}

.mdi-menu-left:before {
  content: "\f416";
}

.mdi-menu-right:before {
  content: "\f417";
}

.mdi-menu-up:before {
  content: "\f418";
}

.mdi-message:before {
  content: "\f419";
}

.mdi-message-alert:before {
  content: "\f41a";
}

.mdi-message-draw:before {
  content: "\f41b";
}

.mdi-message-image:before {
  content: "\f41c";
}

.mdi-message-processing:before {
  content: "\f41d";
}

.mdi-message-reply:before {
  content: "\f41e";
}

.mdi-message-text:before {
  content: "\f41f";
}

.mdi-message-text-outline:before {
  content: "\f420";
}

.mdi-message-video:before {
  content: "\f421";
}

.mdi-microphone:before {
  content: "\f422";
}

.mdi-microphone-off:before {
  content: "\f423";
}

.mdi-microphone-outline:before {
  content: "\f424";
}

.mdi-microphone-settings:before {
  content: "\f425";
}

.mdi-microphone-variant:before {
  content: "\f426";
}

.mdi-microphone-variant-off:before {
  content: "\f427";
}

.mdi-minus:before {
  content: "\f428";
}

.mdi-minus-box:before {
  content: "\f429";
}

.mdi-minus-circle:before {
  content: "\f42a";
}

.mdi-minus-circle-outline:before {
  content: "\f42b";
}

.mdi-minus-network:before {
  content: "\f42c";
}

.mdi-monitor:before {
  content: "\f42d";
}

.mdi-monitor-multiple:before {
  content: "\f42e";
}

.mdi-more:before {
  content: "\f42f";
}

.mdi-motorbike:before {
  content: "\f430";
}

.mdi-mouse:before {
  content: "\f431";
}

.mdi-mouse-off:before {
  content: "\f432";
}

.mdi-mouse-variant:before {
  content: "\f433";
}

.mdi-mouse-variant-off:before {
  content: "\f434";
}

.mdi-movie:before {
  content: "\f435";
}

.mdi-multiplication:before {
  content: "\f436";
}

.mdi-multiplication-box:before {
  content: "\f437";
}

.mdi-music-box:before {
  content: "\f438";
}

.mdi-music-box-outline:before {
  content: "\f439";
}

.mdi-music-circle:before {
  content: "\f43a";
}

.mdi-music-note:before {
  content: "\f43b";
}

.mdi-music-note-eighth:before {
  content: "\f43c";
}

.mdi-music-note-half:before {
  content: "\f43d";
}

.mdi-music-note-off:before {
  content: "\f43e";
}

.mdi-music-note-quarter:before {
  content: "\f43f";
}

.mdi-music-note-sixteenth:before {
  content: "\f440";
}

.mdi-music-note-whole:before {
  content: "\f441";
}

.mdi-nature:before {
  content: "\f442";
}

.mdi-nature-people:before {
  content: "\f443";
}

.mdi-navigation:before {
  content: "\f444";
}

.mdi-needle:before {
  content: "\f445";
}

.mdi-nest-protect:before {
  content: "\f446";
}

.mdi-nest-thermostat:before {
  content: "\f447";
}

.mdi-newspaper:before {
  content: "\f448";
}

.mdi-nfc:before {
  content: "\f449";
}

.mdi-nfc-tap:before {
  content: "\f44a";
}

.mdi-nfc-variant:before {
  content: "\f44b";
}

.mdi-note:before {
  content: "\f44c";
}

.mdi-note-outline:before {
  content: "\f44d";
}

.mdi-note-plus:before {
  content: "\f44e";
}

.mdi-note-plus-outline:before {
  content: "\f44f";
}

.mdi-note-text:before {
  content: "\f450";
}

.mdi-numeric:before {
  content: "\f451";
}

.mdi-numeric-0-box:before {
  content: "\f452";
}

.mdi-numeric-0-box-multiple-outline:before {
  content: "\f453";
}

.mdi-numeric-0-box-outline:before {
  content: "\f454";
}

.mdi-numeric-1-box:before {
  content: "\f455";
}

.mdi-numeric-1-box-multiple-outline:before {
  content: "\f456";
}

.mdi-numeric-1-box-outline:before {
  content: "\f457";
}

.mdi-numeric-2-box:before {
  content: "\f458";
}

.mdi-numeric-2-box-multiple-outline:before {
  content: "\f459";
}

.mdi-numeric-2-box-outline:before {
  content: "\f45a";
}

.mdi-numeric-3-box:before {
  content: "\f45b";
}

.mdi-numeric-3-box-multiple-outline:before {
  content: "\f45c";
}

.mdi-numeric-3-box-outline:before {
  content: "\f45d";
}

.mdi-numeric-4-box:before {
  content: "\f45e";
}

.mdi-numeric-4-box-multiple-outline:before {
  content: "\f45f";
}

.mdi-numeric-4-box-outline:before {
  content: "\f460";
}

.mdi-numeric-5-box:before {
  content: "\f461";
}

.mdi-numeric-5-box-multiple-outline:before {
  content: "\f462";
}

.mdi-numeric-5-box-outline:before {
  content: "\f463";
}

.mdi-numeric-6-box:before {
  content: "\f464";
}

.mdi-numeric-6-box-multiple-outline:before {
  content: "\f465";
}

.mdi-numeric-6-box-outline:before {
  content: "\f466";
}

.mdi-numeric-7-box:before {
  content: "\f467";
}

.mdi-numeric-7-box-multiple-outline:before {
  content: "\f468";
}

.mdi-numeric-7-box-outline:before {
  content: "\f469";
}

.mdi-numeric-8-box:before {
  content: "\f46a";
}

.mdi-numeric-8-box-multiple-outline:before {
  content: "\f46b";
}

.mdi-numeric-8-box-outline:before {
  content: "\f46c";
}

.mdi-numeric-9-box:before {
  content: "\f46d";
}

.mdi-numeric-9-box-multiple-outline:before {
  content: "\f46e";
}

.mdi-numeric-9-box-outline:before {
  content: "\f46f";
}

.mdi-numeric-9-plus-box:before {
  content: "\f470";
}

.mdi-numeric-9-plus-box-multiple-outline:before {
  content: "\f471";
}

.mdi-numeric-9-plus-box-outline:before {
  content: "\f472";
}

.mdi-nutriton:before {
  content: "\f473";
}

.mdi-odnoklassniki:before {
  content: "\f474";
}

.mdi-office:before {
  content: "\f475";
}

.mdi-oil:before {
  content: "\f476";
}

.mdi-oil-temperature:before {
  content: "\f477";
}

.mdi-omega:before {
  content: "\f478";
}

.mdi-onedrive:before {
  content: "\f479";
}

.mdi-open-in-app:before {
  content: "\f47a";
}

.mdi-open-in-new:before {
  content: "\f47b";
}

.mdi-opera:before {
  content: "\f47c";
}

.mdi-ornament:before {
  content: "\f47d";
}

.mdi-ornament-variant:before {
  content: "\f47e";
}

.mdi-outbox:before {
  content: "\f47f";
}

.mdi-owl:before {
  content: "\f480";
}

.mdi-package:before {
  content: "\f481";
}

.mdi-package-down:before {
  content: "\f482";
}

.mdi-package-up:before {
  content: "\f483";
}

.mdi-package-variant:before {
  content: "\f484";
}

.mdi-package-variant-closed:before {
  content: "\f485";
}

.mdi-palette:before {
  content: "\f486";
}

.mdi-palette-advanced:before {
  content: "\f487";
}

.mdi-panda:before {
  content: "\f488";
}

.mdi-pandora:before {
  content: "\f489";
}

.mdi-panorama:before {
  content: "\f48a";
}

.mdi-panorama-fisheye:before {
  content: "\f48b";
}

.mdi-panorama-horizontal:before {
  content: "\f48c";
}

.mdi-panorama-vertical:before {
  content: "\f48d";
}

.mdi-panorama-wide-angle:before {
  content: "\f48e";
}

.mdi-paper-cut-vertical:before {
  content: "\f48f";
}

.mdi-paperclip:before {
  content: "\f490";
}

.mdi-parking:before {
  content: "\f491";
}

.mdi-pause:before {
  content: "\f492";
}

.mdi-pause-circle:before {
  content: "\f493";
}

.mdi-pause-circle-outline:before {
  content: "\f494";
}

.mdi-pause-octagon:before {
  content: "\f495";
}

.mdi-pause-octagon-outline:before {
  content: "\f496";
}

.mdi-paw:before {
  content: "\f497";
}

.mdi-pen:before {
  content: "\f498";
}

.mdi-pencil:before {
  content: "\f499";
}

.mdi-pencil-box:before {
  content: "\f49a";
}

.mdi-pencil-box-outline:before {
  content: "\f49b";
}

.mdi-pencil-lock:before {
  content: "\f49c";
}

.mdi-pencil-off:before {
  content: "\f49d";
}

.mdi-percent:before {
  content: "\f49e";
}

.mdi-pharmacy:before {
  content: "\f49f";
}

.mdi-phone:before {
  content: "\f4a0";
}

.mdi-phone-bluetooth:before {
  content: "\f4a1";
}

.mdi-phone-forward:before {
  content: "\f4a2";
}

.mdi-phone-hangup:before {
  content: "\f4a3";
}

.mdi-phone-in-talk:before {
  content: "\f4a4";
}

.mdi-phone-incoming:before {
  content: "\f4a5";
}

.mdi-phone-locked:before {
  content: "\f4a6";
}

.mdi-phone-log:before {
  content: "\f4a7";
}

.mdi-phone-missed:before {
  content: "\f4a8";
}

.mdi-phone-outgoing:before {
  content: "\f4a9";
}

.mdi-phone-paused:before {
  content: "\f4aa";
}

.mdi-phone-settings:before {
  content: "\f4ab";
}

.mdi-phone-voip:before {
  content: "\f4ac";
}

.mdi-pig:before {
  content: "\f4ad";
}

.mdi-pill:before {
  content: "\f4ae";
}

.mdi-pin:before {
  content: "\f4af";
}

.mdi-pin-off:before {
  content: "\f4b0";
}

.mdi-pine-tree:before {
  content: "\f4b1";
}

.mdi-pine-tree-box:before {
  content: "\f4b2";
}

.mdi-pinterest:before {
  content: "\f4b3";
}

.mdi-pinterest-box:before {
  content: "\f4b4";
}

.mdi-pizza:before {
  content: "\f4b5";
}

.mdi-play:before {
  content: "\f4b6";
}

.mdi-play-box-outline:before {
  content: "\f4b7";
}

.mdi-play-circle:before {
  content: "\f4b8";
}

.mdi-play-circle-outline:before {
  content: "\f4b9";
}

.mdi-playlist-minus:before {
  content: "\f4ba";
}

.mdi-playlist-play:before {
  content: "\f4bb";
}

.mdi-playlist-plus:before {
  content: "\f4bc";
}

.mdi-playlist-remove:before {
  content: "\f4bd";
}

.mdi-playstation:before {
  content: "\f4be";
}

.mdi-plus:before {
  content: "\f4bf";
}

.mdi-plus-box:before {
  content: "\f4c0";
}

.mdi-plus-circle:before {
  content: "\f4c1";
}

.mdi-plus-circle-outline:before {
  content: "\f4c2";
}

.mdi-plus-network:before {
  content: "\f4c3";
}

.mdi-plus-one:before {
  content: "\f4c4";
}

.mdi-pocket:before {
  content: "\f4c5";
}

.mdi-polaroid:before {
  content: "\f4c6";
}

.mdi-poll:before {
  content: "\f4c7";
}

.mdi-poll-box:before {
  content: "\f4c8";
}

.mdi-polymer:before {
  content: "\f4c9";
}

.mdi-popcorn:before {
  content: "\f4ca";
}

.mdi-pound:before {
  content: "\f4cb";
}

.mdi-pound-box:before {
  content: "\f4cc";
}

.mdi-power:before {
  content: "\f4cd";
}

.mdi-power-settings:before {
  content: "\f4ce";
}

.mdi-power-socket:before {
  content: "\f4cf";
}

.mdi-presentation:before {
  content: "\f4d0";
}

.mdi-presentation-play:before {
  content: "\f4d1";
}

.mdi-printer:before {
  content: "\f4d2";
}

.mdi-printer-3d:before {
  content: "\f4d3";
}

.mdi-printer-alert:before {
  content: "\f4d4";
}

.mdi-professional-hexagon:before {
  content: "\f4d5";
}

.mdi-projector:before {
  content: "\f4d6";
}

.mdi-projector-screen:before {
  content: "\f4d7";
}

.mdi-pulse:before {
  content: "\f4d8";
}

.mdi-puzzle:before {
  content: "\f4d9";
}

.mdi-qrcode:before {
  content: "\f4da";
}

.mdi-quadcopter:before {
  content: "\f4db";
}

.mdi-quality-high:before {
  content: "\f4dc";
}

.mdi-quicktime:before {
  content: "\f4dd";
}

.mdi-radar:before {
  content: "\f4de";
}

.mdi-radiator:before {
  content: "\f4df";
}

.mdi-radio:before {
  content: "\f4e0";
}

.mdi-radio-handheld:before {
  content: "\f4e1";
}

.mdi-radio-tower:before {
  content: "\f4e2";
}

.mdi-radioactive:before {
  content: "\f4e3";
}

.mdi-radiobox-blank:before {
  content: "\f4e4";
}

.mdi-radiobox-marked:before {
  content: "\f4e5";
}

.mdi-raspberrypi:before {
  content: "\f4e6";
}

.mdi-rdio:before {
  content: "\f4e7";
}

.mdi-read:before {
  content: "\f4e8";
}

.mdi-readability:before {
  content: "\f4e9";
}

.mdi-receipt:before {
  content: "\f4ea";
}

.mdi-recycle:before {
  content: "\f4eb";
}

.mdi-reddit:before {
  content: "\f4ec";
}

.mdi-redo:before {
  content: "\f4ed";
}

.mdi-redo-variant:before {
  content: "\f4ee";
}

.mdi-refresh:before {
  content: "\f4ef";
}

.mdi-regex:before {
  content: "\f4f0";
}

.mdi-relative-scale:before {
  content: "\f4f1";
}

.mdi-reload:before {
  content: "\f4f2";
}

.mdi-remote:before {
  content: "\f4f3";
}

.mdi-rename-box:before {
  content: "\f4f4";
}

.mdi-repeat:before {
  content: "\f4f5";
}

.mdi-repeat-off:before {
  content: "\f4f6";
}

.mdi-repeat-once:before {
  content: "\f4f7";
}

.mdi-replay:before {
  content: "\f4f8";
}

.mdi-reply:before {
  content: "\f4f9";
}

.mdi-reply-all:before {
  content: "\f4fa";
}

.mdi-reproduction:before {
  content: "\f4fb";
}

.mdi-resize-bottom-right:before {
  content: "\f4fc";
}

.mdi-responsive:before {
  content: "\f4fd";
}

.mdi-rewind:before {
  content: "\f4fe";
}

.mdi-ribbon:before {
  content: "\f4ff";
}

.mdi-road:before {
  content: "\f500";
}

.mdi-road-variant:before {
  content: "\f501";
}

.mdi-rocket:before {
  content: "\f502";
}

.mdi-rotate-3d:before {
  content: "\f503";
}

.mdi-rotate-left:before {
  content: "\f504";
}

.mdi-rotate-left-variant:before {
  content: "\f505";
}

.mdi-rotate-right:before {
  content: "\f506";
}

.mdi-rotate-right-variant:before {
  content: "\f507";
}

.mdi-routes:before {
  content: "\f508";
}

.mdi-rss:before {
  content: "\f509";
}

.mdi-rss-box:before {
  content: "\f50a";
}

.mdi-ruler:before {
  content: "\f50b";
}

.mdi-run:before {
  content: "\f50c";
}

.mdi-sale:before {
  content: "\f50d";
}

.mdi-satellite:before {
  content: "\f50e";
}

.mdi-satellite-variant:before {
  content: "\f50f";
}

.mdi-scale:before {
  content: "\f510";
}

.mdi-scale-bathroom:before {
  content: "\f511";
}

.mdi-school:before {
  content: "\f512";
}

.mdi-screen-rotation:before {
  content: "\f513";
}

.mdi-screen-rotation-lock:before {
  content: "\f514";
}

.mdi-screwdriver:before {
  content: "\f515";
}

.mdi-script:before {
  content: "\f516";
}

.mdi-sd:before {
  content: "\f517";
}

.mdi-seal:before {
  content: "\f518";
}

.mdi-security:before {
  content: "\f519";
}

.mdi-security-network:before {
  content: "\f51a";
}

.mdi-select:before {
  content: "\f51b";
}

.mdi-select-all:before {
  content: "\f51c";
}

.mdi-select-inverse:before {
  content: "\f51d";
}

.mdi-select-off:before {
  content: "\f51e";
}

.mdi-selection:before {
  content: "\f51f";
}

.mdi-send:before {
  content: "\f520";
}

.mdi-server:before {
  content: "\f521";
}

.mdi-server-minus:before {
  content: "\f522";
}

.mdi-server-network:before {
  content: "\f523";
}

.mdi-server-network-off:before {
  content: "\f524";
}

.mdi-server-off:before {
  content: "\f525";
}

.mdi-server-plus:before {
  content: "\f526";
}

.mdi-server-remove:before {
  content: "\f527";
}

.mdi-server-security:before {
  content: "\f528";
}

.mdi-settings:before {
  content: "\f529";
}

.mdi-settings-box:before {
  content: "\f52a";
}

.mdi-shape-plus:before {
  content: "\f52b";
}

.mdi-share:before {
  content: "\f52c";
}

.mdi-share-variant:before {
  content: "\f52d";
}

.mdi-shield:before {
  content: "\f52e";
}

.mdi-shield-outline:before {
  content: "\f52f";
}

.mdi-shopping:before {
  content: "\f530";
}

.mdi-shopping-music:before {
  content: "\f531";
}

.mdi-shredder:before {
  content: "\f532";
}

.mdi-shuffle:before {
  content: "\f533";
}

.mdi-sigma:before {
  content: "\f534";
}

.mdi-sign-caution:before {
  content: "\f535";
}

.mdi-signal:before {
  content: "\f536";
}

.mdi-silverware:before {
  content: "\f537";
}

.mdi-silverware-fork:before {
  content: "\f538";
}

.mdi-silverware-spoon:before {
  content: "\f539";
}

.mdi-silverware-variant:before {
  content: "\f53a";
}

.mdi-sim:before {
  content: "\f53b";
}

.mdi-sim-alert:before {
  content: "\f53c";
}

.mdi-sim-off:before {
  content: "\f53d";
}

.mdi-sitemap:before {
  content: "\f53e";
}

.mdi-skip-next:before {
  content: "\f53f";
}

.mdi-skip-previous:before {
  content: "\f540";
}

.mdi-skype:before {
  content: "\f541";
}

.mdi-skype-business:before {
  content: "\f542";
}

.mdi-sleep:before {
  content: "\f543";
}

.mdi-sleep-off:before {
  content: "\f544";
}

.mdi-smoking:before {
  content: "\f545";
}

.mdi-smoking-off:before {
  content: "\f546";
}

.mdi-snapchat:before {
  content: "\f547";
}

.mdi-snowman:before {
  content: "\f548";
}

.mdi-sofa:before {
  content: "\f549";
}

.mdi-sort:before {
  content: "\f54a";
}

.mdi-sort-alphabetical:before {
  content: "\f54b";
}

.mdi-sort-ascending:before {
  content: "\f54c";
}

.mdi-sort-descending:before {
  content: "\f54d";
}

.mdi-sort-numeric:before {
  content: "\f54e";
}

.mdi-sort-variant:before {
  content: "\f54f";
}

.mdi-soundcloud:before {
  content: "\f550";
}

.mdi-source-fork:before {
  content: "\f551";
}

.mdi-source-pull:before {
  content: "\f552";
}

.mdi-speaker:before {
  content: "\f553";
}

.mdi-speaker-off:before {
  content: "\f554";
}

.mdi-speedometer:before {
  content: "\f555";
}

.mdi-spellcheck:before {
  content: "\f556";
}

.mdi-spotify:before {
  content: "\f557";
}

.mdi-spotlight:before {
  content: "\f558";
}

.mdi-spotlight-beam:before {
  content: "\f559";
}

.mdi-square-inc:before {
  content: "\f55a";
}

.mdi-square-inc-cash:before {
  content: "\f55b";
}

.mdi-stackoverflow:before {
  content: "\f55c";
}

.mdi-stairs:before {
  content: "\f55d";
}

.mdi-star:before {
  content: "\f55e";
}

.mdi-star-circle:before {
  content: "\f55f";
}

.mdi-star-half:before {
  content: "\f560";
}

.mdi-star-outline:before {
  content: "\f561";
}

.mdi-steam:before {
  content: "\f562";
}

.mdi-steering:before {
  content: "\f563";
}

.mdi-stethoscope:before {
  content: "\f564";
}

.mdi-stocking:before {
  content: "\f565";
}

.mdi-stop:before {
  content: "\f566";
}

.mdi-store:before {
  content: "\f567";
}

.mdi-store-24-hour:before {
  content: "\f568";
}

.mdi-stove:before {
  content: "\f569";
}

.mdi-subway:before {
  content: "\f56a";
}

.mdi-sunglasses:before {
  content: "\f56b";
}

.mdi-swap-horizontal:before {
  content: "\f56c";
}

.mdi-swap-vertical:before {
  content: "\f56d";
}

.mdi-swim:before {
  content: "\f56e";
}

.mdi-sword:before {
  content: "\f56f";
}

.mdi-sync:before {
  content: "\f570";
}

.mdi-sync-alert:before {
  content: "\f571";
}

.mdi-sync-off:before {
  content: "\f572";
}

.mdi-tab:before {
  content: "\f573";
}

.mdi-tab-unselected:before {
  content: "\f574";
}

.mdi-table:before {
  content: "\f575";
}

.mdi-table-column-plus-after:before {
  content: "\f576";
}

.mdi-table-column-plus-before:before {
  content: "\f577";
}

.mdi-table-column-remove:before {
  content: "\f578";
}

.mdi-table-column-width:before {
  content: "\f579";
}

.mdi-table-edit:before {
  content: "\f57a";
}

.mdi-table-large:before {
  content: "\f57b";
}

.mdi-table-row-height:before {
  content: "\f57c";
}

.mdi-table-row-plus-after:before {
  content: "\f57d";
}

.mdi-table-row-plus-before:before {
  content: "\f57e";
}

.mdi-table-row-remove:before {
  content: "\f57f";
}

.mdi-tablet:before {
  content: "\f580";
}

.mdi-tablet-android:before {
  content: "\f581";
}

.mdi-tablet-ipad:before {
  content: "\f582";
}

.mdi-tag:before {
  content: "\f583";
}

.mdi-tag-faces:before {
  content: "\f584";
}

.mdi-tag-multiple:before {
  content: "\f585";
}

.mdi-tag-outline:before {
  content: "\f586";
}

.mdi-tag-text-outline:before {
  content: "\f587";
}

.mdi-target:before {
  content: "\f588";
}

.mdi-taxi:before {
  content: "\f589";
}

.mdi-teamviewer:before {
  content: "\f58a";
}

.mdi-telegram:before {
  content: "\f58b";
}

.mdi-television:before {
  content: "\f58c";
}

.mdi-television-guide:before {
  content: "\f58d";
}

.mdi-temperature-celsius:before {
  content: "\f58e";
}

.mdi-temperature-fahrenheit:before {
  content: "\f58f";
}

.mdi-temperature-kelvin:before {
  content: "\f590";
}

.mdi-tennis:before {
  content: "\f591";
}

.mdi-tent:before {
  content: "\f592";
}

.mdi-terrain:before {
  content: "\f593";
}

.mdi-text-to-speech:before {
  content: "\f594";
}

.mdi-text-to-speech-off:before {
  content: "\f595";
}

.mdi-texture:before {
  content: "\f596";
}

.mdi-theater:before {
  content: "\f597";
}

.mdi-theme-light-dark:before {
  content: "\f598";
}

.mdi-thermometer:before {
  content: "\f599";
}

.mdi-thermometer-lines:before {
  content: "\f59a";
}

.mdi-thumb-down:before {
  content: "\f59b";
}

.mdi-thumb-down-outline:before {
  content: "\f59c";
}

.mdi-thumb-up:before {
  content: "\f59d";
}

.mdi-thumb-up-outline:before {
  content: "\f59e";
}

.mdi-thumbs-up-down:before {
  content: "\f59f";
}

.mdi-ticket:before {
  content: "\f5a0";
}

.mdi-ticket-account:before {
  content: "\f5a1";
}

.mdi-tie:before {
  content: "\f5a2";
}

.mdi-timelapse:before {
  content: "\f5a3";
}

.mdi-timer:before {
  content: "\f5a4";
}

.mdi-timer-10:before {
  content: "\f5a5";
}

.mdi-timer-3:before {
  content: "\f5a6";
}

.mdi-timer-off:before {
  content: "\f5a7";
}

.mdi-timer-sand:before {
  content: "\f5a8";
}

.mdi-timetable:before {
  content: "\f5a9";
}

.mdi-toggle-switch:before {
  content: "\f5aa";
}

.mdi-toggle-switch-off:before {
  content: "\f5ab";
}

.mdi-tooltip:before {
  content: "\f5ac";
}

.mdi-tooltip-edit:before {
  content: "\f5ad";
}

.mdi-tooltip-image:before {
  content: "\f5ae";
}

.mdi-tooltip-outline:before {
  content: "\f5af";
}

.mdi-tooltip-outline-plus:before {
  content: "\f5b0";
}

.mdi-tooltip-text:before {
  content: "\f5b1";
}

.mdi-tor:before {
  content: "\f5b2";
}

.mdi-traffic-light:before {
  content: "\f5b3";
}

.mdi-train:before {
  content: "\f5b4";
}

.mdi-tram:before {
  content: "\f5b5";
}

.mdi-transcribe:before {
  content: "\f5b6";
}

.mdi-transcribe-close:before {
  content: "\f5b7";
}

.mdi-transfer:before {
  content: "\f5b8";
}

.mdi-tree:before {
  content: "\f5b9";
}

.mdi-trello:before {
  content: "\f5ba";
}

.mdi-trending-down:before {
  content: "\f5bb";
}

.mdi-trending-neutral:before {
  content: "\f5bc";
}

.mdi-trending-up:before {
  content: "\f5bd";
}

.mdi-trophy:before {
  content: "\f5be";
}

.mdi-trophy-award:before {
  content: "\f5bf";
}

.mdi-trophy-outline:before {
  content: "\f5c0";
}

.mdi-trophy-variant:before {
  content: "\f5c1";
}

.mdi-trophy-variant-outline:before {
  content: "\f5c2";
}

.mdi-truck:before {
  content: "\f5c3";
}

.mdi-tshirt-crew:before {
  content: "\f5c4";
}

.mdi-tshirt-v:before {
  content: "\f5c5";
}

.mdi-tumblr:before {
  content: "\f5c6";
}

.mdi-tumblr-reblog:before {
  content: "\f5c7";
}

.mdi-twitch:before {
  content: "\f5c8";
}

.mdi-twitter:before {
  content: "\f5c9";
}

.mdi-twitter-box:before {
  content: "\f5ca";
}

.mdi-twitter-circle:before {
  content: "\f5cb";
}

.mdi-twitter-retweet:before {
  content: "\f5cc";
}

.mdi-ubuntu:before {
  content: "\f5cd";
}

.mdi-umbrella:before {
  content: "\f5ce";
}

.mdi-umbrella-outline:before {
  content: "\f5cf";
}

.mdi-undo:before {
  content: "\f5d0";
}

.mdi-undo-variant:before {
  content: "\f5d1";
}

.mdi-unfold-less:before {
  content: "\f5d2";
}

.mdi-unfold-more:before {
  content: "\f5d3";
}

.mdi-ungroup:before {
  content: "\f5d4";
}

.mdi-untappd:before {
  content: "\f5d5";
}

.mdi-upload:before {
  content: "\f5d6";
}

.mdi-usb:before {
  content: "\f5d7";
}

.mdi-vector-arrange-above:before {
  content: "\f5d8";
}

.mdi-vector-arrange-below:before {
  content: "\f5d9";
}

.mdi-vector-combine:before {
  content: "\f5da";
}

.mdi-vector-curve:before {
  content: "\f5db";
}

.mdi-vector-difference:before {
  content: "\f5dc";
}

.mdi-vector-difference-ab:before {
  content: "\f5dd";
}

.mdi-vector-difference-ba:before {
  content: "\f5de";
}

.mdi-vector-intersection:before {
  content: "\f5df";
}

.mdi-vector-point:before {
  content: "\f5e0";
}

.mdi-vector-selection:before {
  content: "\f5e1";
}

.mdi-vector-square:before {
  content: "\f5e2";
}

.mdi-vector-union:before {
  content: "\f5e3";
}

.mdi-verified:before {
  content: "\f5e4";
}

.mdi-vibrate:before {
  content: "\f5e5";
}

.mdi-video:before {
  content: "\f5e6";
}

.mdi-video-off:before {
  content: "\f5e7";
}

.mdi-video-switch:before {
  content: "\f5e8";
}

.mdi-view-agenda:before {
  content: "\f5e9";
}

.mdi-view-array:before {
  content: "\f5ea";
}

.mdi-view-carousel:before {
  content: "\f5eb";
}

.mdi-view-column:before {
  content: "\f5ec";
}

.mdi-view-dashboard:before {
  content: "\f5ed";
}

.mdi-view-day:before {
  content: "\f5ee";
}

.mdi-view-grid:before {
  content: "\f5ef";
}

.mdi-view-headline:before {
  content: "\f5f0";
}

.mdi-view-list:before {
  content: "\f5f1";
}

.mdi-view-module:before {
  content: "\f5f2";
}

.mdi-view-quilt:before {
  content: "\f5f3";
}

.mdi-view-stream:before {
  content: "\f5f4";
}

.mdi-view-week:before {
  content: "\f5f5";
}

.mdi-vimeo:before {
  content: "\f5f6";
}

.mdi-vine:before {
  content: "\f5f7";
}

.mdi-vk:before {
  content: "\f5f8";
}

.mdi-vk-box:before {
  content: "\f5f9";
}

.mdi-vk-circle:before {
  content: "\f5fa";
}

.mdi-voicemail:before {
  content: "\f5fb";
}

.mdi-volume-high:before {
  content: "\f5fc";
}

.mdi-volume-low:before {
  content: "\f5fd";
}

.mdi-volume-medium:before {
  content: "\f5fe";
}

.mdi-volume-off:before {
  content: "\f5ff";
}

.mdi-vpn:before {
  content: "\f600";
}

.mdi-walk:before {
  content: "\f601";
}

.mdi-wallet:before {
  content: "\f602";
}

.mdi-wallet-giftcard:before {
  content: "\f603";
}

.mdi-wallet-membership:before {
  content: "\f604";
}

.mdi-wallet-travel:before {
  content: "\f605";
}

.mdi-wan:before {
  content: "\f606";
}

.mdi-watch:before {
  content: "\f607";
}

.mdi-watch-export:before {
  content: "\f608";
}

.mdi-watch-import:before {
  content: "\f609";
}

.mdi-water:before {
  content: "\f60a";
}

.mdi-water-off:before {
  content: "\f60b";
}

.mdi-water-pump:before {
  content: "\f60c";
}

.mdi-weather-cloudy:before {
  content: "\f60d";
}

.mdi-weather-fog:before {
  content: "\f60e";
}

.mdi-weather-hail:before {
  content: "\f60f";
}

.mdi-weather-lightning:before {
  content: "\f610";
}

.mdi-weather-night:before {
  content: "\f611";
}

.mdi-weather-partlycloudy:before {
  content: "\f612";
}

.mdi-weather-pouring:before {
  content: "\f613";
}

.mdi-weather-rainy:before {
  content: "\f614";
}

.mdi-weather-snowy:before {
  content: "\f615";
}

.mdi-weather-sunny:before {
  content: "\f616";
}

.mdi-weather-sunset:before {
  content: "\f617";
}

.mdi-weather-sunset-down:before {
  content: "\f618";
}

.mdi-weather-sunset-up:before {
  content: "\f619";
}

.mdi-weather-windy:before {
  content: "\f61a";
}

.mdi-weather-windy-variant:before {
  content: "\f61b";
}

.mdi-web:before {
  content: "\f61c";
}

.mdi-webcam:before {
  content: "\f61d";
}

.mdi-weight:before {
  content: "\f61e";
}

.mdi-weight-kilogram:before {
  content: "\f61f";
}

.mdi-whatsapp:before {
  content: "\f620";
}

.mdi-wheelchair-accessibility:before {
  content: "\f621";
}

.mdi-white-balance-auto:before {
  content: "\f622";
}

.mdi-white-balance-incandescent:before {
  content: "\f623";
}

.mdi-white-balance-irradescent:before {
  content: "\f624";
}

.mdi-white-balance-sunny:before {
  content: "\f625";
}

.mdi-wifi:before {
  content: "\f626";
}

.mdi-wii:before {
  content: "\f627";
}

.mdi-wikipedia:before {
  content: "\f628";
}

.mdi-window-close:before {
  content: "\f629";
}

.mdi-window-closed:before {
  content: "\f62a";
}

.mdi-window-maximize:before {
  content: "\f62b";
}

.mdi-window-minimize:before {
  content: "\f62c";
}

.mdi-window-open:before {
  content: "\f62d";
}

.mdi-window-restore:before {
  content: "\f62e";
}

.mdi-windows:before {
  content: "\f62f";
}

.mdi-wordpress:before {
  content: "\f630";
}

.mdi-worker:before {
  content: "\f631";
}

.mdi-wrap:before {
  content: "\f632";
}

.mdi-wrench:before {
  content: "\f633";
}

.mdi-wunderlist:before {
  content: "\f634";
}

.mdi-xbox:before {
  content: "\f635";
}

.mdi-xbox-controller:before {
  content: "\f636";
}

.mdi-xbox-controller-off:before {
  content: "\f637";
}

.mdi-xda:before {
  content: "\f638";
}

.mdi-xml:before {
  content: "\f639";
}

.mdi-yeast:before {
  content: "\f63a";
}

.mdi-yelp:before {
  content: "\f63b";
}

.mdi-youtube-play:before {
  content: "\f63c";
}

.mdi-zip-box:before {
  content: "\f63d";
}
                ';

                preg_match_all($pattern, $subject, $matches, PREG_SET_ORDER);

                $icons = array();
                $count_icons=0;
                foreach($matches as $match){
                    $icons[$match[1]] =$match[1];
                }
                $this->field['options']=$icons;
            }       
            if ( !empty($this->field['data']) && ( $this->field['data'] == "mdi-icons"  ) ) {
                $this->field['class'] = " font-icons";
            }//if PIRENKO
//PIRENKO
            if( !empty( $this->field['data'] )  && $this->field['data']== 'awesome-icons' && empty( $this->field['options'] ) ) {
                 $pattern = '/\.(verve_fa-(?:\w+(?:-)?)+):before\s+{\s*content:\s*"(.+)";\s+}/';
                $subject = '.verve_fa-glass:before {
                  content: "\f000";
                }
                .verve_fa-music:before {
                  content: "\f001";
                }
                .verve_fa-search:before {
                  content: "\f002";
                }
                .verve_fa-envelope-o:before {
                  content: "\f003";
                }
                .verve_fa-heart:before {
                  content: "\f004";
                }
                .verve_fa-star:before {
                  content: "\f005";
                }
                .verve_fa-star-o:before {
                  content: "\f006";
                }
                .verve_fa-user:before {
                  content: "\f007";
                }
                .verve_fa-film:before {
                  content: "\f008";
                }
                .verve_fa-th-large:before {
                  content: "\f009";
                }
                .verve_fa-th:before {
                  content: "\f00a";
                }
                .verve_fa-th-list:before {
                  content: "\f00b";
                }
                .verve_fa-check:before {
                  content: "\f00c";
                }
                .verve_fa-times:before {
                  content: "\f00d";
                }
                .verve_fa-search-plus:before {
                  content: "\f00e";
                }
                .verve_fa-search-minus:before {
                  content: "\f010";
                }
                .verve_fa-power-off:before {
                  content: "\f011";
                }
                .verve_fa-signal:before {
                  content: "\f012";
                }
                .verve_fa-gear:before,
                .verve_fa-cog:before {
                  content: "\f013";
                }
                .verve_fa-trash-o:before {
                  content: "\f014";
                }
                .verve_fa-home:before {
                  content: "\f015";
                }
                .verve_fa-file-o:before {
                  content: "\f016";
                }
                .verve_fa-clock-o:before {
                  content: "\f017";
                }
                .verve_fa-road:before {
                  content: "\f018";
                }
                .verve_fa-download:before {
                  content: "\f019";
                }
                .verve_fa-arrow-circle-o-down:before {
                  content: "\f01a";
                }
                .verve_fa-arrow-circle-o-up:before {
                  content: "\f01b";
                }
                .verve_fa-inbox:before {
                  content: "\f01c";
                }
                .verve_fa-play-circle-o:before {
                  content: "\f01d";
                }
                .verve_fa-rotate-right:before,
                .verve_fa-repeat:before {
                  content: "\f01e";
                }
                .verve_fa-refresh:before {
                  content: "\f021";
                }
                .verve_fa-list-alt:before {
                  content: "\f022";
                }
                .verve_fa-lock:before {
                  content: "\f023";
                }
                .verve_fa-flag:before {
                  content: "\f024";
                }
                .verve_fa-headphones:before {
                  content: "\f025";
                }
                .verve_fa-volume-off:before {
                  content: "\f026";
                }
                .verve_fa-volume-down:before {
                  content: "\f027";
                }
                .verve_fa-volume-up:before {
                  content: "\f028";
                }
                .verve_fa-qrcode:before {
                  content: "\f029";
                }
                .verve_fa-barcode:before {
                  content: "\f02a";
                }
                .verve_fa-tag:before {
                  content: "\f02b";
                }
                .verve_fa-tags:before {
                  content: "\f02c";
                }
                .verve_fa-book:before {
                  content: "\f02d";
                }
                .verve_fa-bookmark:before {
                  content: "\f02e";
                }
                .verve_fa-print:before {
                  content: "\f02f";
                }
                .verve_fa-camera:before {
                  content: "\f030";
                }
                .verve_fa-font:before {
                  content: "\f031";
                }
                .verve_fa-bold:before {
                  content: "\f032";
                }
                .verve_fa-italic:before {
                  content: "\f033";
                }
                .verve_fa-text-height:before {
                  content: "\f034";
                }
                .verve_fa-text-width:before {
                  content: "\f035";
                }
                .verve_fa-align-left:before {
                  content: "\f036";
                }
                .verve_fa-align-center:before {
                  content: "\f037";
                }
                .verve_fa-align-right:before {
                  content: "\f038";
                }
                .verve_fa-align-justify:before {
                  content: "\f039";
                }
                .verve_fa-list:before {
                  content: "\f03a";
                }
                .verve_fa-dedent:before,
                .verve_fa-outdent:before {
                  content: "\f03b";
                }
                .verve_fa-indent:before {
                  content: "\f03c";
                }
                .verve_fa-video-camera:before {
                  content: "\f03d";
                }
                .verve_fa-picture-o:before {
                  content: "\f03e";
                }
                .verve_fa-pencil:before {
                  content: "\f040";
                }
                .verve_fa-map-marker:before {
                  content: "\f041";
                }
                .verve_fa-adjust:before {
                  content: "\f042";
                }
                .verve_fa-tint:before {
                  content: "\f043";
                }
                .verve_fa-edit:before,
                .verve_fa-pencil-square-o:before {
                  content: "\f044";
                }
                .verve_fa-share-square-o:before {
                  content: "\f045";
                }
                .verve_fa-check-square-o:before {
                  content: "\f046";
                }
                .verve_fa-arrows:before {
                  content: "\f047";
                }
                .verve_fa-step-backward:before {
                  content: "\f048";
                }
                .verve_fa-fast-backward:before {
                  content: "\f049";
                }
                .verve_fa-backward:before {
                  content: "\f04a";
                }
                .verve_fa-play:before {
                  content: "\f04b";
                }
                .verve_fa-pause:before {
                  content: "\f04c";
                }
                .verve_fa-stop:before {
                  content: "\f04d";
                }
                .verve_fa-forward:before {
                  content: "\f04e";
                }
                .verve_fa-fast-forward:before {
                  content: "\f050";
                }
                .verve_fa-step-forward:before {
                  content: "\f051";
                }
                .verve_fa-eject:before {
                  content: "\f052";
                }
                .verve_fa-chevron-left:before {
                  content: "\f053";
                }
                .verve_fa-chevron-right:before {
                  content: "\f054";
                }
                .verve_fa-plus-circle:before {
                  content: "\f055";
                }
                .verve_fa-minus-circle:before {
                  content: "\f056";
                }
                .verve_fa-times-circle:before {
                  content: "\f057";
                }
                .verve_fa-check-circle:before {
                  content: "\f058";
                }
                .verve_fa-question-circle:before {
                  content: "\f059";
                }
                .verve_fa-info-circle:before {
                  content: "\f05a";
                }
                .verve_fa-crosshairs:before {
                  content: "\f05b";
                }
                .verve_fa-times-circle-o:before {
                  content: "\f05c";
                }
                .verve_fa-check-circle-o:before {
                  content: "\f05d";
                }
                .verve_fa-ban:before {
                  content: "\f05e";
                }
                .verve_fa-arrow-left:before {
                  content: "\f060";
                }
                .verve_fa-arrow-right:before {
                  content: "\f061";
                }
                .verve_fa-arrow-up:before {
                  content: "\f062";
                }
                .verve_fa-arrow-down:before {
                  content: "\f063";
                }
                .verve_fa-mail-forward:before,
                .verve_fa-share:before {
                  content: "\f064";
                }
                .verve_fa-expand:before {
                  content: "\f065";
                }
                .verve_fa-compress:before {
                  content: "\f066";
                }
                .verve_fa-plus:before {
                  content: "\f067";
                }
                .verve_fa-minus:before {
                  content: "\f068";
                }
                .verve_fa-asterisk:before {
                  content: "\f069";
                }
                .verve_fa-exclamation-circle:before {
                  content: "\f06a";
                }
                .verve_fa-gift:before {
                  content: "\f06b";
                }
                .verve_fa-leaf:before {
                  content: "\f06c";
                }
                .verve_fa-fire:before {
                  content: "\f06d";
                }
                .verve_fa-eye:before {
                  content: "\f06e";
                }
                .verve_fa-eye-slash:before {
                  content: "\f070";
                }
                .verve_fa-warning:before,
                .verve_fa-exclamation-triangle:before {
                  content: "\f071";
                }
                .verve_fa-plane:before {
                  content: "\f072";
                }
                .verve_fa-calendar:before {
                  content: "\f073";
                }
                .verve_fa-random:before {
                  content: "\f074";
                }
                .verve_fa-comment:before {
                  content: "\f075";
                }
                .verve_fa-magnet:before {
                  content: "\f076";
                }
                .verve_fa-chevron-up:before {
                  content: "\f077";
                }
                .verve_fa-chevron-down:before {
                  content: "\f078";
                }
                .verve_fa-retweet:before {
                  content: "\f079";
                }
                .verve_fa-shopping-cart:before {
                  content: "\f07a";
                }
                .verve_fa-folder:before {
                  content: "\f07b";
                }
                .verve_fa-folder-open:before {
                  content: "\f07c";
                }
                .verve_fa-arrows-v:before {
                  content: "\f07d";
                }
                .verve_fa-arrows-h:before {
                  content: "\f07e";
                }
                .verve_fa-bar-chart-o:before {
                  content: "\f080";
                }
                .verve_fa-twitter-square:before {
                  content: "\f081";
                }
                .verve_fa-facebook-square:before {
                  content: "\f082";
                }
                .verve_fa-camera-retro:before {
                  content: "\f083";
                }
                .verve_fa-key:before {
                  content: "\f084";
                }
                .verve_fa-gears:before,
                .verve_fa-cogs:before {
                  content: "\f085";
                }
                .verve_fa-comments:before {
                  content: "\f086";
                }
                .verve_fa-thumbs-o-up:before {
                  content: "\f087";
                }
                .verve_fa-thumbs-o-down:before {
                  content: "\f088";
                }
                .verve_fa-star-half:before {
                  content: "\f089";
                }
                .verve_fa-heart-o:before {
                  content: "\f08a";
                }
                .verve_fa-sign-out:before {
                  content: "\f08b";
                }
                .verve_fa-linkedin-square:before {
                  content: "\f08c";
                }
                .verve_fa-thumb-tack:before {
                  content: "\f08d";
                }
                .verve_fa-external-link:before {
                  content: "\f08e";
                }
                .verve_fa-sign-in:before {
                  content: "\f090";
                }
                .verve_fa-trophy:before {
                  content: "\f091";
                }
                .verve_fa-github-square:before {
                  content: "\f092";
                }
                .verve_fa-upload:before {
                  content: "\f093";
                }
                .verve_fa-lemon-o:before {
                  content: "\f094";
                }
                .verve_fa-phone:before {
                  content: "\f095";
                }
                .verve_fa-square-o:before {
                  content: "\f096";
                }
                .verve_fa-bookmark-o:before {
                  content: "\f097";
                }
                .verve_fa-phone-square:before {
                  content: "\f098";
                }
                .verve_fa-twitter:before {
                  content: "\f099";
                }
                .verve_fa-facebook:before {
                  content: "\f09a";
                }
                .verve_fa-github:before {
                  content: "\f09b";
                }
                .verve_fa-unlock:before {
                  content: "\f09c";
                }
                .verve_fa-credit-card:before {
                  content: "\f09d";
                }
                .verve_fa-rss:before {
                  content: "\f09e";
                }
                .verve_fa-hdd-o:before {
                  content: "\f0a0";
                }
                .verve_fa-bullhorn:before {
                  content: "\f0a1";
                }
                .verve_fa-bell:before {
                  content: "\f0f3";
                }
                .verve_fa-certificate:before {
                  content: "\f0a3";
                }
                .verve_fa-hand-o-right:before {
                  content: "\f0a4";
                }
                .verve_fa-hand-o-left:before {
                  content: "\f0a5";
                }
                .verve_fa-hand-o-up:before {
                  content: "\f0a6";
                }
                .verve_fa-hand-o-down:before {
                  content: "\f0a7";
                }
                .verve_fa-arrow-circle-left:before {
                  content: "\f0a8";
                }
                .verve_fa-arrow-circle-right:before {
                  content: "\f0a9";
                }
                .verve_fa-arrow-circle-up:before {
                  content: "\f0aa";
                }
                .verve_fa-arrow-circle-down:before {
                  content: "\f0ab";
                }
                .verve_fa-globe:before {
                  content: "\f0ac";
                }
                .verve_fa-wrench:before {
                  content: "\f0ad";
                }
                .verve_fa-tasks:before {
                  content: "\f0ae";
                }
                .verve_fa-filter:before {
                  content: "\f0b0";
                }
                .verve_fa-briefcase:before {
                  content: "\f0b1";
                }
                .verve_fa-arrows-alt:before {
                  content: "\f0b2";
                }
                .verve_fa-group:before,
                .verve_fa-users:before {
                  content: "\f0c0";
                }
                .verve_fa-chain:before,
                .verve_fa-link:before {
                  content: "\f0c1";
                }
                .verve_fa-cloud:before {
                  content: "\f0c2";
                }
                .verve_fa-flask:before {
                  content: "\f0c3";
                }
                .verve_fa-cut:before,
                .verve_fa-scissors:before {
                  content: "\f0c4";
                }
                .verve_fa-copy:before,
                .verve_fa-files-o:before {
                  content: "\f0c5";
                }
                .verve_fa-paperclip:before {
                  content: "\f0c6";
                }
                .verve_fa-save:before,
                .verve_fa-floppy-o:before {
                  content: "\f0c7";
                }
                .verve_fa-square:before {
                  content: "\f0c8";
                }
                .verve_fa-bars:before {
                  content: "\f0c9";
                }
                .verve_fa-list-ul:before {
                  content: "\f0ca";
                }
                .verve_fa-list-ol:before {
                  content: "\f0cb";
                }
                .verve_fa-strikethrough:before {
                  content: "\f0cc";
                }
                .verve_fa-underline:before {
                  content: "\f0cd";
                }
                .verve_fa-table:before {
                  content: "\f0ce";
                }
                .verve_fa-magic:before {
                  content: "\f0d0";
                }
                .verve_fa-truck:before {
                  content: "\f0d1";
                }
                .verve_fa-pinterest:before {
                  content: "\f0d2";
                }
                .verve_fa-pinterest-square:before {
                  content: "\f0d3";
                }
                .verve_fa-google-plus-square:before {
                  content: "\f0d4";
                }
                .verve_fa-google-plus:before {
                  content: "\f0d5";
                }
                .verve_fa-money:before {
                  content: "\f0d6";
                }
                .verve_fa-caret-down:before {
                  content: "\f0d7";
                }
                .verve_fa-caret-up:before {
                  content: "\f0d8";
                }
                .verve_fa-caret-left:before {
                  content: "\f0d9";
                }
                .verve_fa-caret-right:before {
                  content: "\f0da";
                }
                .verve_fa-columns:before {
                  content: "\f0db";
                }
                .verve_fa-unsorted:before,
                .verve_fa-sort:before {
                  content: "\f0dc";
                }
                .verve_fa-sort-down:before,
                .verve_fa-sort-asc:before {
                  content: "\f0dd";
                }
                .verve_fa-sort-up:before,
                .verve_fa-sort-desc:before {
                  content: "\f0de";
                }
                .verve_fa-envelope:before {
                  content: "\f0e0";
                }
                .verve_fa-linkedin:before {
                  content: "\f0e1";
                }
                .verve_fa-rotate-left:before,
                .verve_fa-undo:before {
                  content: "\f0e2";
                }
                .verve_fa-legal:before,
                .verve_fa-gavel:before {
                  content: "\f0e3";
                }
                .verve_fa-dashboard:before,
                .verve_fa-tachometer:before {
                  content: "\f0e4";
                }
                .verve_fa-comment-o:before {
                  content: "\f0e5";
                }
                .verve_fa-comments-o:before {
                  content: "\f0e6";
                }
                .verve_fa-flash:before,
                .verve_fa-bolt:before {
                  content: "\f0e7";
                }
                .verve_fa-sitemap:before {
                  content: "\f0e8";
                }
                .verve_fa-umbrella:before {
                  content: "\f0e9";
                }
                .verve_fa-paste:before,
                .verve_fa-clipboard:before {
                  content: "\f0ea";
                }
                .verve_fa-lightbulb-o:before {
                  content: "\f0eb";
                }
                .verve_fa-exchange:before {
                  content: "\f0ec";
                }
                .verve_fa-cloud-download:before {
                  content: "\f0ed";
                }
                .verve_fa-cloud-upload:before {
                  content: "\f0ee";
                }
                .verve_fa-user-md:before {
                  content: "\f0f0";
                }
                .verve_fa-stethoscope:before {
                  content: "\f0f1";
                }
                .verve_fa-suitcase:before {
                  content: "\f0f2";
                }
                .verve_fa-bell-o:before {
                  content: "\f0a2";
                }
                .verve_fa-coffee:before {
                  content: "\f0f4";
                }
                .verve_fa-cutlery:before {
                  content: "\f0f5";
                }
                .verve_fa-file-text-o:before {
                  content: "\f0f6";
                }
                .verve_fa-building-o:before {
                  content: "\f0f7";
                }
                .verve_fa-hospital-o:before {
                  content: "\f0f8";
                }
                .verve_fa-ambulance:before {
                  content: "\f0f9";
                }
                .verve_fa-medkit:before {
                  content: "\f0fa";
                }
                .verve_fa-fighter-jet:before {
                  content: "\f0fb";
                }
                .verve_fa-beer:before {
                  content: "\f0fc";
                }
                .verve_fa-h-square:before {
                  content: "\f0fd";
                }
                .verve_fa-plus-square:before {
                  content: "\f0fe";
                }
                .verve_fa-angle-double-left:before {
                  content: "\f100";
                }
                .verve_fa-angle-double-right:before {
                  content: "\f101";
                }
                .verve_fa-angle-double-up:before {
                  content: "\f102";
                }
                .verve_fa-angle-double-down:before {
                  content: "\f103";
                }
                .verve_fa-angle-left:before {
                  content: "\f104";
                }
                .verve_fa-angle-right:before {
                  content: "\f105";
                }
                .verve_fa-angle-up:before {
                  content: "\f106";
                }
                .verve_fa-angle-down:before {
                  content: "\f107";
                }
                .verve_fa-desktop:before {
                  content: "\f108";
                }
                .verve_fa-laptop:before {
                  content: "\f109";
                }
                .verve_fa-tablet:before {
                  content: "\f10a";
                }
                .verve_fa-mobile-phone:before,
                .verve_fa-mobile:before {
                  content: "\f10b";
                }
                .verve_fa-circle-o:before {
                  content: "\f10c";
                }
                .verve_fa-quote-left:before {
                  content: "\f10d";
                }
                .verve_fa-quote-right:before {
                  content: "\f10e";
                }
                .verve_fa-spinner:before {
                  content: "\f110";
                }
                .verve_fa-circle:before {
                  content: "\f111";
                }
                .verve_fa-mail-reply:before,
                .verve_fa-reply:before {
                  content: "\f112";
                }
                .verve_fa-github-alt:before {
                  content: "\f113";
                }
                .verve_fa-folder-o:before {
                  content: "\f114";
                }
                .verve_fa-folder-open-o:before {
                  content: "\f115";
                }
                .verve_fa-smile-o:before {
                  content: "\f118";
                }
                .verve_fa-frown-o:before {
                  content: "\f119";
                }
                .verve_fa-meh-o:before {
                  content: "\f11a";
                }
                .verve_fa-gamepad:before {
                  content: "\f11b";
                }
                .verve_fa-keyboard-o:before {
                  content: "\f11c";
                }
                .verve_fa-flag-o:before {
                  content: "\f11d";
                }
                .verve_fa-flag-checkered:before {
                  content: "\f11e";
                }
                .verve_fa-terminal:before {
                  content: "\f120";
                }
                .verve_fa-code:before {
                  content: "\f121";
                }
                .verve_fa-reply-all:before {
                  content: "\f122";
                }
                .verve_fa-mail-reply-all:before {
                  content: "\f122";
                }
                .verve_fa-star-half-empty:before,
                .verve_fa-star-half-full:before,
                .verve_fa-star-half-o:before {
                  content: "\f123";
                }
                .verve_fa-location-arrow:before {
                  content: "\f124";
                }
                .verve_fa-crop:before {
                  content: "\f125";
                }
                .verve_fa-code-fork:before {
                  content: "\f126";
                }
                .verve_fa-unlink:before,
                .verve_fa-chain-broken:before {
                  content: "\f127";
                }
                .verve_fa-question:before {
                  content: "\f128";
                }
                .verve_fa-info:before {
                  content: "\f129";
                }
                .verve_fa-exclamation:before {
                  content: "\f12a";
                }
                .verve_fa-superscript:before {
                  content: "\f12b";
                }
                .verve_fa-subscript:before {
                  content: "\f12c";
                }
                .verve_fa-eraser:before {
                  content: "\f12d";
                }
                .verve_fa-puzzle-piece:before {
                  content: "\f12e";
                }
                .verve_fa-microphone:before {
                  content: "\f130";
                }
                .verve_fa-microphone-slash:before {
                  content: "\f131";
                }
                .verve_fa-shield:before {
                  content: "\f132";
                }
                .verve_fa-calendar-o:before {
                  content: "\f133";
                }
                .verve_fa-fire-extinguisher:before {
                  content: "\f134";
                }
                .verve_fa-rocket:before {
                  content: "\f135";
                }
                .verve_fa-maxcdn:before {
                  content: "\f136";
                }
                .verve_fa-chevron-circle-left:before {
                  content: "\f137";
                }
                .verve_fa-chevron-circle-right:before {
                  content: "\f138";
                }
                .verve_fa-chevron-circle-up:before {
                  content: "\f139";
                }
                .verve_fa-chevron-circle-down:before {
                  content: "\f13a";
                }
                .verve_fa-html5:before {
                  content: "\f13b";
                }
                .verve_fa-css3:before {
                  content: "\f13c";
                }
                .verve_fa-anchor:before {
                  content: "\f13d";
                }
                .verve_fa-unlock-alt:before {
                  content: "\f13e";
                }
                .verve_fa-bullseye:before {
                  content: "\f140";
                }
                .verve_fa-ellipsis-h:before {
                  content: "\f141";
                }
                .verve_fa-ellipsis-v:before {
                  content: "\f142";
                }
                .verve_fa-rss-square:before {
                  content: "\f143";
                }
                .verve_fa-play-circle:before {
                  content: "\f144";
                }
                .verve_fa-ticket:before {
                  content: "\f145";
                }
                .verve_fa-minus-square:before {
                  content: "\f146";
                }
                .verve_fa-minus-square-o:before {
                  content: "\f147";
                }
                .verve_fa-level-up:before {
                  content: "\f148";
                }
                .verve_fa-level-down:before {
                  content: "\f149";
                }
                .verve_fa-check-square:before {
                  content: "\f14a";
                }
                .verve_fa-pencil-square:before {
                  content: "\f14b";
                }
                .verve_fa-external-link-square:before {
                  content: "\f14c";
                }
                .verve_fa-share-square:before {
                  content: "\f14d";
                }
                .verve_fa-compass:before {
                  content: "\f14e";
                }
                .verve_fa-toggle-down:before,
                .verve_fa-caret-square-o-down:before {
                  content: "\f150";
                }
                .verve_fa-toggle-up:before,
                .verve_fa-caret-square-o-up:before {
                  content: "\f151";
                }
                .verve_fa-toggle-right:before,
                .verve_fa-caret-square-o-right:before {
                  content: "\f152";
                }
                .verve_fa-euro:before,
                .verve_fa-eur:before {
                  content: "\f153";
                }
                .verve_fa-gbp:before {
                  content: "\f154";
                }
                .verve_fa-dollar:before,
                .verve_fa-usd:before {
                  content: "\f155";
                }
                .verve_fa-rupee:before,
                .verve_fa-inr:before {
                  content: "\f156";
                }
                .verve_fa-cny:before,
                .verve_fa-rmb:before,
                .verve_fa-yen:before,
                .verve_fa-jpy:before {
                  content: "\f157";
                }
                .verve_fa-ruble:before,
                .verve_fa-rouble:before,
                .verve_fa-rub:before {
                  content: "\f158";
                }
                .verve_fa-won:before,
                .verve_fa-krw:before {
                  content: "\f159";
                }
                .verve_fa-bitcoin:before,
                .verve_fa-btc:before {
                  content: "\f15a";
                }
                .verve_fa-file:before {
                  content: "\f15b";
                }
                .verve_fa-file-text:before {
                  content: "\f15c";
                }
                .verve_fa-sort-alpha-asc:before {
                  content: "\f15d";
                }
                .verve_fa-sort-alpha-desc:before {
                  content: "\f15e";
                }
                .verve_fa-sort-amount-asc:before {
                  content: "\f160";
                }
                .verve_fa-sort-amount-desc:before {
                  content: "\f161";
                }
                .verve_fa-sort-numeric-asc:before {
                  content: "\f162";
                }
                .verve_fa-sort-numeric-desc:before {
                  content: "\f163";
                }
                .verve_fa-thumbs-up:before {
                  content: "\f164";
                }
                .verve_fa-thumbs-down:before {
                  content: "\f165";
                }
                .verve_fa-youtube-square:before {
                  content: "\f166";
                }
                .verve_fa-youtube:before {
                  content: "\f167";
                }
                .verve_fa-xing:before {
                  content: "\f168";
                }
                .verve_fa-xing-square:before {
                  content: "\f169";
                }
                .verve_fa-youtube-play:before {
                  content: "\f16a";
                }
                .verve_fa-dropbox:before {
                  content: "\f16b";
                }
                .verve_fa-stack-overflow:before {
                  content: "\f16c";
                }
                .verve_fa-instagram:before {
                  content: "\f16d";
                }
                .verve_fa-flickr:before {
                  content: "\f16e";
                }
                .verve_fa-adn:before {
                  content: "\f170";
                }
                .verve_fa-bitbucket:before {
                  content: "\f171";
                }
                .verve_fa-bitbucket-square:before {
                  content: "\f172";
                }
                .verve_fa-tumblr:before {
                  content: "\f173";
                }
                .verve_fa-tumblr-square:before {
                  content: "\f174";
                }
                .verve_fa-long-arrow-down:before {
                  content: "\f175";
                }
                .verve_fa-long-arrow-up:before {
                  content: "\f176";
                }
                .verve_fa-long-arrow-left:before {
                  content: "\f177";
                }
                .verve_fa-long-arrow-right:before {
                  content: "\f178";
                }
                .verve_fa-apple:before {
                  content: "\f179";
                }
                .verve_fa-windows:before {
                  content: "\f17a";
                }
                .verve_fa-android:before {
                  content: "\f17b";
                }
                .verve_fa-linux:before {
                  content: "\f17c";
                }
                .verve_fa-dribbble:before {
                  content: "\f17d";
                }
                .verve_fa-skype:before {
                  content: "\f17e";
                }
                .verve_fa-foursquare:before {
                  content: "\f180";
                }
                .verve_fa-trello:before {
                  content: "\f181";
                }
                .verve_fa-female:before {
                  content: "\f182";
                }
                .verve_fa-male:before {
                  content: "\f183";
                }
                .verve_fa-gittip:before {
                  content: "\f184";
                }
                .verve_fa-sun-o:before {
                  content: "\f185";
                }
                .verve_fa-moon-o:before {
                  content: "\f186";
                }
                .verve_fa-archive:before {
                  content: "\f187";
                }
                .verve_fa-bug:before {
                  content: "\f188";
                }
                .verve_fa-vk:before {
                  content: "\f189";
                }
                .verve_fa-weibo:before {
                  content: "\f18a";
                }
                .verve_fa-renren:before {
                  content: "\f18b";
                }
                .verve_fa-pagelines:before {
                  content: "\f18c";
                }
                .verve_fa-stack-exchange:before {
                  content: "\f18d";
                }
                .verve_fa-arrow-circle-o-right:before {
                  content: "\f18e";
                }
                .verve_fa-arrow-circle-o-left:before {
                  content: "\f190";
                }
                .verve_fa-toggle-left:before,
                .verve_fa-caret-square-o-left:before {
                  content: "\f191";
                }
                .verve_fa-dot-circle-o:before {
                  content: "\f192";
                }
                .verve_fa-wheelchair:before {
                  content: "\f193";
                }
                .verve_fa-vimeo-square:before {
                  content: "\f194";
                }
                .verve_fa-turkish-lira:before,
                .verve_fa-try:before {
                  content: "\f195";
                }
                .verve_fa-plus-square-o:before {
                  content: "\f196";
                }
                ';

                preg_match_all($pattern, $subject, $matches, PREG_SET_ORDER);

                $icons = array();
                $count_icons=0;
                foreach($matches as $match){
                    $icons[$match[1]] =$match[1];
                }
                $this->field['options']=$icons;
            }       
            if ( !empty($this->field['data']) && ( $this->field['data'] == "awesome-icons"  ) ) {
                $this->field['class'] = " font-icons";
            }//if PIRENKO

            if ( ! empty( $this->field['options'] ) ) {
                $multi = ( isset( $this->field['multi'] ) && $this->field['multi'] ) ? ' multiple="multiple"' : "";

                if ( ! empty( $this->field['width'] ) ) {
                    $width = ' style="' . $this->field['width'] . '"';
                } else {
                    $width = ' style="width: 40%;"';
                }

                $nameBrackets = "";
                if ( ! empty( $multi ) ) {
                    $nameBrackets = "[]";
                }

                $placeholder = ( isset( $this->field['placeholder'] ) ) ? esc_attr( $this->field['placeholder'] ) : esc_html__( 'Select an item', 'redux-framework' );

                if ( isset( $this->field['select2'] ) ) { // if there are any let's pass them to js
                    $select2_params = json_encode( $this->field['select2'] );
                    $select2_params = htmlspecialchars( $select2_params, ENT_QUOTES );

                    echo '<input type="hidden" class="select2_params" value="' . $select2_params . '">';
                }

                if ( isset( $this->field['multi'] ) && $this->field['multi'] && isset( $this->field['sortable'] ) && $this->field['sortable'] && ! empty( $this->value ) && is_array( $this->value ) ) {
                    $origOption             = $this->field['options'];
                    $this->field['options'] = array();

                    foreach ( $this->value as $value ) {
                        $this->field['options'][ $value ] = $origOption[ $value ];
                    }

                    if ( count( $this->field['options'] ) < count( $origOption ) ) {
                        foreach ( $origOption as $key => $value ) {
                            if ( ! in_array( $key, $this->field['options'] ) ) {
                                $this->field['options'][ $key ] = $value;
                            }
                        }
                    }
                }

                $sortable = ( isset( $this->field['sortable'] ) && $this->field['sortable'] ) ? ' select2-sortable"' : "";

                echo '<select ' . $multi . ' id="' . $this->field['id'] . '-select" data-placeholder="' . $placeholder . '" name="' . $this->field['name'] . $this->field['name_suffix'] . $nameBrackets . '" class="redux-select-item ' . $this->field['class'] . $sortable . '"' . $width . ' rows="6">';
                echo '<option></option>';

                foreach ( $this->field['options'] as $k => $v ) {

                    if (is_array($v)) {
                        echo '<optgroup label="' . $k . '">';

                        foreach($v as $opt => $val) {
                            $this->make_option($opt, $val, $k);
                        }

                        echo '</optgroup>';

                        continue;
                    }

                    $this->make_option($k, $v);
                }
                //foreach

                echo '</select>';
            } else {
                echo '<strong>' . esc_html__( 'No items of this type were found.', 'redux-framework' ) . '</strong>';
            }
        } //function

        private function make_option($id, $value, $group_name = '') {
            if ( is_array( $this->value ) ) {
                $selected = ( is_array( $this->value ) && in_array( $id, $this->value ) ) ? ' selected="selected"' : '';
            } else {
                $selected = selected( $this->value, $id, false );
            }

            echo '<option value="' . $id . '"' . $selected . '>' . $value . '</option>';                
        }

        /**
         * Enqueue Function.
         * If this field requires any scripts, or css define this function and register/enqueue the scripts/css
         *
         * @since ReduxFramework 1.0.0
         */
        public function enqueue() {
            wp_enqueue_style( 'select2-css' );

            wp_enqueue_script(
                'redux-field-select-js',
                ReduxFramework::$_url . 'inc/fields/select/field_select' . Redux_Functions::isMin() . '.js',
                array( 'jquery', 'select2-js', 'redux-js' ),
                time(),
                true
            );

            if ($this->parent->args['dev_mode']) {
                wp_enqueue_style(
                    'redux-field-select-css',
                    ReduxFramework::$_url . 'inc/fields/select/field_select.css',
                    array(),
                    time(),
                    'all'
                );
            }
        } //function
    } //class
}