<?php
/**
 * Custom Walker
 *
 * @access      public
 * @since       1.0 
 * @return      void
*/
if (!class_exists('rc_scm_walker')) {
    class rc_scm_walker extends Walker_Nav_Menu {
        function start_el(&$output, $item, $depth = 0, $args = array(), $id = 0) {
            global $wp_query;
            $prk_verve_options=verve_options();
            /*if ($prk_verve_options['subheadings_font']=="") {
                $prk_verve_options['subheadings_font']='header_font';
            }*/
            $indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';

            $class_names = $value = '';

            $classes = empty( $item->classes ) ? array() : (array) $item->classes;

            $class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item ) );
            if (!empty( $item->icon )) {
            $class_names = ' class="vrv_iconized '. esc_attr( $class_names ) . '"';
            }
            else {
            $class_names = ' class="'. esc_attr( $class_names ) . '"';
            }

            $output .= $indent . '<li ' . $value . $class_names .'>';

            $prk_target = ! empty( $item->target )     ? esc_attr( $item->target) : '_self';
            $attributes="";
            //$attributes  = ! empty( $item->attr_title ) ? ' title="'  . esc_attr( $item->attr_title ) .'"' : '';
            $attributes .= ! empty( $item->target )     ? ' target="' . esc_attr( $item->target     ) .'"' : '';
            $attributes .= ! empty( $item->xfn )        ? ' rel="'    . esc_attr( $item->xfn        ) .'"' : '';
            $attributes .= ! empty( $item->url )        ? ' href="'   . esc_attr( $item->url        ) .'"' : '';
            //$attributes .= ! empty( $item->subtitle )   ? ' data-color="'  . esc_attr( $item->subtitle  ) .'"' : '';

            $prepend = '';
            $append = '';
            $description  = ! empty( $item->description ) ? '<div>'.esc_attr( $item->description ).'</div>' : '';

            if($depth != 0) {
                $description = "";
                $item_output=$args->before;
                $item_output.='<a'. $attributes .'><div class="verve_menu_label">';
            }
            else {
                $item_output=$args->before;
                $item_output.='<a'. $attributes .' class="vrv_ancest"><div class="verve_menu_label">';
            }
            if (!empty($item->icon)) {
                if ($prk_verve_options['menu_align']!='verve_right_align') {
                    $prepend='<i class="'.esc_attr($item->icon).'"></i>';
                }
                else {
                    $append='<i class="'.esc_attr($item->icon).'"></i>';
                }
            }
            $item_output.='<div class="verve_menu_main">';
            $item_output.=$prepend.$args->link_before.apply_filters( 'the_title', $item->title, $item->ID ).$append;
            $item_output.='</div>';
            $item_output.='<div class="verve_menu_hover">';
            $item_output.=$prepend.$args->link_before.apply_filters( 'the_title', $item->title, $item->ID ).$append;
            $item_output.='</div>';
            //}
            $item_output.='</div></a>';
            $item_output.=$args->after;

            $output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );
        }
    }
}